<?php

namespace App\Exceptions;

use Exception;
use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Illuminate\Auth\AuthenticationException;
use Illuminate\Validation\ValidationException;
use Illuminate\Http\Request;

class Handler extends ExceptionHandler
{
    /**
     * A list of the exception types that are not reported.
     *
     * @var array
     */
    protected $dontReport = [
        //
    ];

    /**
     * A list of the inputs that are never flashed for validation exceptions.
     *
     * @var array
     */
    protected $dontFlash = [
        'password',
        'password_confirmation',
    ];

    /**
     * Report or log an exception.
     *
     * @param  \Exception  $exception
     * @return void
     */
    public function report(Exception $exception)
    {
        parent::report($exception);
    }

    /**
     * Render an exception into an HTTP response.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Exception  $exception
     * @return \Illuminate\Http\Response
     */
    public function render($request, Exception $exception)
    {
    	return parent::render($request, $exception);
    }
	
	protected function unauthenticated($request, AuthenticationException $exception){
		if ($request->expectsJson()) {

            $response = ['status' => 0,'message' => 'Unauthenticated'];

            return response()->json($response);

        }
        
        
        if ($request->is('api/*')) {
           // If request from api
            return response()->json([
                'status' => 0,
                'message' => "Unauthenticated request."
            ]);
        } else {
            // If request from web
            return redirect()->guest('login');
        }   
	}
	
}
