<?php
namespace App\Http\Controllers;

use App\Order;
use App\OrderProduct;
use App\Product;
use App\User;
use App\Exports\ProductSampleExport;
use Illuminate\Support\Facades\Auth;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Http\Request; 
class DashboardController extends Controller
{
 
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index(Request $request)
    {
        /*
         * OneSignal::sendNotificationToUser(
         * "This is the content of the Notification.5",
         * 'c81681f9-7cc5-4472-b679-65559fad3753',
         * $url = null,
         * ['notification_type'=>'order','order_id'=>'222'],
         * $buttons = null,
         * $schedule = null,
         * "Notification Heading Text 7", // $headings = null
         * "Notification Sub-Heading Text 6" // $subtitle = null
         * );
         */
        
        $currentMonth = date('m');
        
        if (Auth::user()->role == "Seller") 
        {
            

            $orderIds = OrderProduct::select('order_id')->where('seller_id', Auth::user()->id)
                ->distinct()
                ->pluck('order_id')
                ->toArray();

            $earning = Order::whereIn('id', $orderIds)->whereMonth('created_at',$currentMonth)
                        ->where('payment_status', "Done")->sum('total_amount');

            $todaySales = Order::whereIn('id', $orderIds)->whereDate('created_at',Date('Y-m-d'))
                        ->where('payment_status', "Done")->sum('total_amount');
            $todayOrders = Order::whereIn('id', $orderIds)->whereDate('created_at', date('Y-m-d'))
//                 ->where('payment_status', 'Done')
                ->count();
            $totalOrders = Order::whereIn('id', $orderIds)->count();
            
            $orderIdss = OrderProduct::select('order_id')
            ->where('seller_id' , Auth::user()->id)
            ->distinct()->pluck('order_id')->toArray();

            if(empty($request['totalEarning'])){
                 $earning = Order::whereIn('id', $orderIds)->whereMonth('created_at',$currentMonth)
                        ->where('payment_status', "Done")->sum('total_amount');
            }else{
                    $range = explode(" to ",$request['totalEarning']);
                    $range[0] = date('Y-m-d',strtotime($range[0]));
                    if(isset($range[1])){
                        $range[1] = date('Y-m-d',strtotime($range[1]));
                        $original_date = $range[1];
                        $time_original = strtotime($original_date);
                        $time_add      = $time_original + (3600*24); //add seconds of one day
                        $new_date      = date("Y-m-d", $time_add);
                        $range[1] = $new_date;
                         $earning = Order::whereIn('id', $orderIds)->whereBetween('created_at',$range)
                        ->where('payment_status', "Done")->sum('total_amount');                        
                        return $earning;
                    }else{
                         $earning = Order::whereIn('id', $orderIds)->whereDate('created_at',$range[0])
                        ->where('payment_status', "Done")->sum('total_amount');                        
                        return $earning;
                    }
            }
            if(empty($request['date_range'])){
                $recentOrders = Order::whereIn('id', $orderIdss)
                ->with('user')->has('order_products')->with('order_products')->orderBy('created_at','desc')->paginate(10);

            }else{
                $range = explode(" to ",$request['date_range']);
                $range[0] = date('Y-m-d',strtotime($range[0]));
                if(isset($range[1])){
                    $range[1] = date('Y-m-d',strtotime($range[1]));
                    $original_date = $range[1];
                    $time_original = strtotime($original_date);
                    $time_add      = $time_original + (3600*24); //add seconds of one day

                    $new_date      = date("Y-m-d", $time_add);
                    $range[1] = $new_date;
                    $recentOrders = Order::whereIn('id', $orderIdss)
                    ->with('user')->has('order_products')->with('order_products')->whereBetween('created_at',$range)->orderBy('created_at','desc')->count();
                    return $recentOrders;
                }else{
                    $recentOrders = Order::whereIn('id', $orderIdss)
                    ->with('user')->has('order_products')->with('order_products')->whereDate('created_at',$range[0])->orderBy('created_at','desc')->count();
                    return $recentOrders;
                }
                
            }

            
          
            //exit;
            // echo "<pre>";
            // print_r($recentOrders);
            // die;
            // dd($recentOrders);
            $user = User::find(Auth::user()->id);
            $totalBatches = $user->batches()->count();
            // echo "<pre>";
            // print_r($recentOrders);
            // exit;

            return view('seller/seller/dashboard', [
                'earning' => $earning,
                'todayOrders' => $todayOrders,
                'totalOrders' => $totalOrders,
                'totalBatches' => $totalBatches,
                'recentOrders' => $recentOrders,
                'user' => $user,
                'todaySales' => $todaySales,
                'dateValue' => $request['date_range'],
            ]);
        }

        
        $earning = Order::where('payment_status', "Done")->whereRaw('MONTH(created_at) = ?',[$currentMonth])
                        ->sum('total_amount');
        
        $totalOrders = Order::where('status', 'Pending')->count();
        $totalSellers = User::where('role', "Seller")->count();
        $totalCustomers = User::where('role', "Customer")->count();


            if(empty($request['date_range'])){
                $recentOrders = Order::orderBy('id', 'desc')->where('status','Pending')->paginate(10);

            }else{
                $range = explode(" to ",$request['date_range']);
                $range[0] = date('Y-m-d',strtotime($range[0]));
                if(isset($range[1])){
                   
                    $range[1] = date('Y-m-d',strtotime($range[1]));
                    $original_date = $range[1];
                    $time_original = strtotime($original_date);
                    $time_add      = $time_original + (3600*24); //add seconds of one day
                    $new_date      = date("Y-m-d", $time_add); 
                    $range[1] = $new_date; 
                    $recentOrders = Order::orderBy('id','desc')->whereBetween('created_at',$range)->where('status','Pending')->get();
                }else{
                    $recentOrders = Order::orderBy('id','desc')->whereDate('created_at',$range[0])->where('status','Pending')->get();
                }
                
            }


        // echo "<pre>";print_r($recentProducts);exit;

        return view('dashboard', [
            'earning' => $earning,
            'totalOrders' => $totalOrders,
            'totalSellers' => $totalSellers,
            'totalCustomers' => $totalCustomers,
            'recentOrders' => $recentOrders,
            'dateValue' => $request['date_range'],
        ]);
    }

    public function export()
    {
        return Excel::download(new ProductSampleExport(), 'sampleProducts.xlsx');
    }
}
