<?php

namespace App\Http\Controllers;
use App\Sku;
use Illuminate\Http\Request;
use Validator;
use App\Invoice;
use App\Batch;
use App\Merchant;
use DB;


class InvoicesController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
    	$invoices = Invoice::with('merchant')->paginate(50);
        return view('invoices/index',['invoices'=>$invoices]);
    }
	
	public function create()
    {
    	$merchants = Merchant::get();
        return view('invoices/create',['merchants'=>$merchants]);
    }
	
	public function store(Request $request){
    	
        $invoice = new Invoice;
		
		$invoice->invoice_number = $request->invoice_number;
		$invoice->merchant_id = $request->merchant_id;
		$invoice->invoice_date = date('Y-m-d',strtotime($request->invoice_date));
		
		
		
		if($invoice->save()){
			return redirect('/invoices')->with('success','New Invoice created successfully!');
		} else {
			return redirect('/invoices')->with('error','New Invoice has not been created!');
		}
    }
	
	
	
	public function edit($id)
    {
    	$invoice = Invoice::find($id);
		$merchants = Merchant::get();
        
        return view('invoices/edit',['merchants'=>$merchants,'invoice'=>$invoice]);
		
    }
	
	public function update(Request $request,$id){
    	
		$invoice = Invoice::find($id);
		
		$invoice->invoice_number = $request->invoice_number;
		$invoice->merchant_id = $request->merchant_id;
		$invoice->invoice_date = date('Y-m-d',strtotime($request->invoice_date));
		
		if($invoice->save()){
			return redirect('/invoices')->with('success','Invoice updated successfully!');
		} else {
			return redirect('/invoices')->with('error','Invoice has not been updated!');
		}
    }
	
	
	public function destroy($id){
		if(Invoice::destroy($id)){
			return redirect()->back()->with('success','Invoice has been Deleted!');
		} else {
			return redirect()->back()->with('error','Invoice has not been Deleted!');
		}
	}
	
	
	
}
