<?php

namespace App\Http\Controllers;
use App\SupportCentre;
use App\Settings;
use Illuminate\Http\Request;
use Validator;
use DB;
use Auth;


class SettingsController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     *
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function supportCentre()
    {
    	$support = SupportCentre::first();
        return view('settings/supportCentre',['support'=>$support]);
    }
	
	public function updateSupportCentre(Request $request){
    	
		$posted = $request->all();
		
		//dd($posted);
		
        $support = SupportCentre::first();
		
		$support->whatsapp = $posted['whatsapp'];
		$support->mobile = $posted['mobile'];
		$support->email = $posted['email'];
		
		
		
		if($support->save()){
			return redirect()->back()->with('success','Information updated successfully!');
		} else {
			return redirect()->back()->with('error','Information has not been updated!');
		}
    }
	
	
	public function settings()
    {
    	$support = Settings::first();
        return view('settings/settings',['support'=>$support]);
    }
	
	public function updateSettings(Request $request){
    	
		$posted = $request->all();
		
		//dd($posted);
		
        $support = Settings::first();
		
		$support->help = $posted['help'];
		$support->terms_conditions = $posted['terms_conditions'];
		$support->privacy_policy = $posted['privacy_policy'];
		
		
		
		if($support->save()){
			return redirect()->back()->with('success','Information updated successfully!');
		} else {
			return redirect()->back()->with('error','Information has not been updated!');
		}
    }
    
    public function webSettings()
    {
        $support = Settings::first();
        return view('settings/webSettings',['support'=>$support]);
    }
    
    public function updateWebSettings(Request $request)
    {
        $posted = $request->all();
        
        //print_r($posted);exit;
        
        $support = Settings::first();
        $fieldName = $posted['field_name'];
        $support->$fieldName = $posted['field_value'];
        
        if($support->save()){
            return redirect()->back()->with('success',$posted['readable_field_name'] .' updated successfully!');
        } else {
            return redirect()->back()->with('error',$posted['readable_field_name'] .' has not been updated!');
        }
    }
	
	/*
	 * API Methods
	 */
	 public function getSupportCentre(){
	 	$support = SupportCentre::first();
		$data = [
			'whatsapp'=>explode(",",$support->whatsapp),
			'mobile'=>explode(",",$support->mobile),
			'email'=>explode(",",$support->email),
		];
		return response()->json(['status' => 1, 'message' => 'Support Centre Information', 'data' => $data]);
	 }
	 
	 public function getSettings($type=null){
	 	if($type==null){
	 		$settings = Settings::first();
			
			$support = SupportCentre::first();
			$settings->support_centre = [
				'whatsapp'=>explode(",",$support->whatsapp),
				'mobile'=>explode(",",$support->mobile),
				'email'=>explode(",",$support->email),
			];
			
	 	} else {
	 		try {
	 			$settings = Settings::select($type)->first();
	 		} catch(\Exception $e){
	 			return response()->json(['status' => 0, 'message' => 'Invalid Credentials']);
	 		}
	 		
	 	}
		
		if(empty($settings)){
			return response()->json(['status' => 1, 'message' => 'No Data found', 'data' => []]);
		} else {
			return response()->json(['status' => 1, 'message' => ucfirst($type).' Settings', 'data' => $settings]);
		}
		
	 }
	 
	 /*
	  * API Methods ends
	  */
	
	
}
