<?php

namespace App\Http\Controllers;
use App\Batch;
use App\Product;
use App\Category;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use App\Sku;
use App\Invoice;
use App\Merchant;
use App\User;
use App\Country;
use App\Settings;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Log;
use Illuminate\Support\Facades\Storage;

class StockController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    
	public function index(Request $request){
		
		/*$curl = curl_init();

		curl_setopt_array($curl, array(
		  CURLOPT_URL => env('curl_url').'products',
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'GET',
		));

		$response = curl_exec($curl);

		curl_close($curl);
		
		$data = json_decode($response);
		
    	return view('stock/sellerItems', [
        	'data' => $data
    	]);*/
    	return view('stock/sellerItems');
		
	}

	public function create(){
		
		$data['products'] = Product::get();
		
		return view('stock/create',$data);	
		
	}
			
	public function store(Request $request){

		$posted = $request->all();
		
		try {

			$curl = curl_init();

			  curl_setopt_array($curl, array(
			  CURLOPT_URL => env('curl_url').'stock',
			  CURLOPT_RETURNTRANSFER => true,
			  CURLOPT_ENCODING => '',
			  CURLOPT_MAXREDIRS => 10,
			  CURLOPT_TIMEOUT => 0,
			  CURLOPT_FOLLOWLOCATION => true,
			  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			  CURLOPT_CUSTOMREQUEST => 'POST',
			  CURLOPT_POSTFIELDS =>'{
			 "userId":12, 
			 "stockItems": [
			 	{   
			 		"skuId": '.$posted['sku_id'].',			 				 		
			 		"sellerId": 0,			 		
			 		"quantity": '.$posted['quantity'].',
			 		"balanceQuantity": '.$posted['quantity'].',			 		
			 		"sellerPrice":'.$posted['base_rate'].',
			 		"marginPercentage":'.$posted['margin_ratio'].',	
			 		"disabled":'.$posted['disable'].'	
			 	}
			 	]
			}
			',
			  CURLOPT_HTTPHEADER => array(
			    'Content-Type: application/json'
			  ),
			));

			$response = curl_exec($curl);

			curl_close($curl);
			//echo $response;die;
			return redirect()->back()->with('success','Product stock has been updated!');
		} catch (\Exception $e) {
			$exception = $e->getMessage();
			Log::error($exception);
			return redirect()->back()->with('error','Product stock has not been updated! Please try again.');
		}

	}
	
	public function updateStock(Request $request){

		$posted = $request->all();
		
		try {

			$curl = curl_init();

			  curl_setopt_array($curl, array(
			  CURLOPT_URL => env('curl_url').'stock',
			  CURLOPT_RETURNTRANSFER => true,
			  CURLOPT_ENCODING => '',
			  CURLOPT_MAXREDIRS => 10,
			  CURLOPT_TIMEOUT => 0,
			  CURLOPT_FOLLOWLOCATION => true,
			  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			  CURLOPT_CUSTOMREQUEST => 'POST',
			  CURLOPT_POSTFIELDS =>'{
			 "userId":12, 
			 "stockItems": [
			 	{
			 		"skuId": '.$posted['sku_id'].',
			 		"sellerId": 0,			 		
			 		"quantity": '.$posted['quantity'].',
			 		"balanceQuantity": '.$posted['balance_quantity'].',
			 		"sellerPrice":'.$posted['product_mrp'].',
			 		"marginPercentage":'.$posted['margin_rate'].'			 		
			 	}
			 	]
			}
			',
			  CURLOPT_HTTPHEADER => array(
			    'Content-Type: application/json'
			  ),
			));

			$response = curl_exec($curl);

			curl_close($curl);
			//echo $response;
			return redirect()->back()->with('success','Product stock has been updated!');
		} catch (\Exception $e) {
			
			return redirect()->back()->with('error','Product stock has not been updated! Please try again.');
		}

	}

	public function upload_stock(Request $request){

		if($request->hasFile('upload_csv'))
	    {

	    	try {		       
				
				$rFile = $request->file('upload_csv');
		        $rFileName = rand().$rFile->getClientOriginalName();		       
		        Storage::disk('local')->put($rFileName,file_get_contents($rFile -> getRealPath()));	        
		     	$fullpath = Storage::disk('local')->path($rFileName); 	// full directory of the file	     	
				$target_url = env('curl_url').'stock/upload';

				$cFile = curl_file_create($fullpath);
				$post = array('userId' => '12','file'=> $cFile); // Parameter to be sent

				$curl = curl_init();
				curl_setopt($curl, CURLOPT_URL, $target_url);
				curl_setopt($curl, CURLOPT_POST,1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				$response=curl_exec($curl);				
				
				if (curl_errno($curl)) {
				    $error_msg = curl_error($curl);				    
				    Log::error($error_msg);
					return redirect()->back()->with('error','Something went wrong!');         							
				}
				curl_close($curl);		
				
		     	Storage::disk('public')->put($rFileName, $response);		     	
		     	return redirect()->back()->with('filepath',$rFileName);

			} catch (\Exception $e) {
				
				$exception = $e->getMessage();
				Log::error($exception);
				return redirect()->back()->with('error','Something went wrong!');
			}

		}
	}
	
	
    public function download_csv(Request $request){
    	$myFile =  storage_path('app/public/'.$request->file);
    	return response()->download($myFile)->deleteFileAfterSend(true);
    }	
	
    public function deleteBatch($id)
    {
        if(Batch::destroy($id)){
            return redirect()->back()->with('success','Stock has been Deleted!');
        } else {
            return redirect()->back()->with('error','Stock has not been Deleted!');
        }
    }	
	
	public function getEditStock($id)
    {        
        $sellerId = '0';
        $curl = curl_init();

		curl_setopt_array($curl, array(
		  CURLOPT_URL => env('curl_url').'stock?sellerId='.$sellerId,
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'GET',
		));

		$response = curl_exec($curl);
		curl_close($curl);
		
		$data = json_decode($response);

	    $key = array_search($id, array_column($data, 'skuId'));
	   	if (array_key_exists($key, $data)) {
			$result = $data[$key];
       	 	return view('stock/getEditStock', [
            	'data' => $result
        	]);
        }
    }

	public function sellerItems(Request $request,$id)
    {
        
        $data['user'] = User::where(['id' => $id])->where('role', 'Seller')->first();
        
        if (empty($data['user'])) {
            return redirect()->route('sellersList')->with('warning', 'Invalid Seller Details');
        }
        
        if (! User::isSuperAdmin() && ! User::isOwnAccount($id)) {
            return back()->with('error', 'You are not allowed to access this page.');
        }        
        
        $curl = curl_init();

		curl_setopt_array($curl, array(
		  CURLOPT_URL => env('curl_url').'/stock?sellerId='.$id,
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'GET',
		));

		$response = curl_exec($curl);
		curl_close($curl);
		
		$data = json_decode($response);
		if(User::isSeller()){		    
		    return view('seller/stock/sellerItems', [
            	'data' => $data
        	]);
		}else{			
        	return view('stock/sellerItems', [
            'data' => $data
        	]);
		}
        
    }
	
}
