<?php

namespace App\Http\Controllers;
use App\Tax;
use Illuminate\Http\Request;
use Validator;
use DB;
use App\UserForm;
use App\Mail\OrderMail;
use Illuminate\Support\Facades\Mail;
use App\User;


class UserFormsController extends Controller
{
    
    public function index()
    {
        $emails = UserForm::orderBy('id','desc')->paginate(30);
        
        return view('user-forms/index',['emails'=>$emails]);
    }
    
    public function view($id)
    {
        $userForm = UserForm::find($id);
        
        if(empty($userForm))
        {
            return back()->with('error','User Form not found.');
        }
        
        return view('user-forms/view',['userForm'=>$userForm]);
    }
    
    //Function to add form data in DB and send mail to admin
    public function joinOurCommunity(Request $request)
    {
        if (empty($request->email) || empty($request->form_type))
        {
            return redirect('https://my-oja.com');
        }
        
        
        if($request->form_type == UserForm::FORM_TYPE_JOIN_COMMUNITY)
        {
            
            $userEmail = $request->email;
            
            $userForm = new UserForm();
            $userForm->email = $userEmail;
            $userForm->type = UserForm::FORM_TYPE_JOIN_COMMUNITY;
            $userForm->postcode = $request->postcode ?? "";
            $userForm->cultures = ($request->cultures) ? implode('~', $request->cultures) : '';
            
            if($userForm->save())
            {                
                //Sending mail to admin
                $email_content['email'] = $userEmail;
                $email_content['email_type'] = OrderMail::EMAIL_TYPE_JOIN_COMMUNITY;
                $email_content['postcode'] = $request->postcode ?? "";
                $email_content['cultures'] = ($request->cultures) ?? '';
                $html = view('mail.join_our_community', compact('email_content'))->render();
                $emailArr['to_email'] = 'mariam@my-oja.com';
                $emailArr['to_user_name'] = 'Mariam';
                $emailArr['subject'] = "Join Our Community feedback form fill by : ' " . $userEmail . " ' with following details.";
                User::sendEmail($emailArr, $html);
            }
        }
        
        if($request->form_type == UserForm::FORM_TYPE_GET_YOUR_STORE)
        {
            $userName = $request->full_name;
            
            $userForm = new UserForm();
            $userForm->email = $request->email;
            $userForm->full_name = $userName;
            $userForm->company_name = $request->company_name;
            $userForm->type = UserForm::FORM_TYPE_GET_YOUR_STORE;
            $userForm->postcode = $request->postcode ?? "";
            $userForm->cultures = ($request->cultures) ? implode('~', $request->cultures) : '';
            $userForm->current_services = ($request->current_services) ? implode('~', $request->current_services) : '';
            
            if($userForm->save())
            {                
                //Sending mail to admin
                $email_content['email'] = $request->email;
                $email_content['full_name'] = $userName;
                $email_content['company_name'] = $request->company_name;
                $email_content['email_type'] = OrderMail::EMAIL_TYPE_GET_YOUR_STORE;
                $email_content['postcode'] = $request->postcode ?? "";
                $email_content['cultures'] = ($request->cultures) ?? '';
                $email_content['current_services'] = ($request->current_services) ?? '';
                $html = view('mail.get_your_store', compact('email_content'))->render();
                $emailArr['to_email'] = 'mariam@my-oja.com';
                $emailArr['to_user_name'] = 'Mariam';
                $emailArr['subject'] = "Get Your Store feedback form fill by : ' " . $userName . " ' with following details.";
                User::sendEmail($emailArr, $html);
            }
        }
        
        if($request->form_type == UserForm::FORM_TYPE_CONTACT_FORM)
        {
            $userForm = new UserForm();
            $userForm->email = $request->email;
            $userForm->message = $request->message;
            $userForm->type = UserForm::FORM_TYPE_CONTACT_FORM;
            
            if($userForm->save())
            {
                //Sending mail to admin
                $email_content['email'] = $request->email;
                $email_content['message'] = $request->message;
                $email_content['email_type'] = OrderMail::EMAIL_TYPE_CONTACT_FORM;
                $html = view('mail.contact_form', compact('email_content'))->render();
                $emailArr['to_email'] = 'mariam@my-oja.com';
                $emailArr['to_user_name'] = 'Mariam';
                $emailArr['subject'] = "Contact Email send by : ' " . $request->email . " '  with following details.";
                User::sendEmail($emailArr, $html);
            }
        }
        
        return redirect('https://my-oja.com/');
    }
	
}
