<?php 
	namespace App\Http\Middleware;

	use Closure;
	use Illuminate\Auth\AuthenticationException;
	use Illuminate\Auth\Middleware\Authenticate;
	use Illuminate\Contracts\Auth\Factory as Auth;
	
	/*
	 * For Guest Browsing
	 * if API Request is made thru this middleware
	 * then if the authorization if present in the header then the data 
	 * Auth will be available with the user's data
	 */
	
	class OptionalAuth extends Authenticate {
		
		
	    public function handle($request, Closure $next, ...$guards)
	    {
	    	$aToken = $request->header('Authorization');	
	        try {
	        	
	        	$this->authenticate($request,['api']);
	            
	        } catch(AuthenticationException $e) {
	            
	           if(!empty($aToken)){
					$response = ['status' => 0,'message' => 'Invalid Token Provided'];
					return response()->json($response);
				}
	        }
	
	        return $next($request);
	    }
	}
?>