<?php

namespace App\Mail;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class OrderMail extends Mailable
{
    use Queueable, SerializesModels;
    
    const EMAIL_TYPE_USER = 1;
    const EMAIL_TYPE_ADMIN = 2;
    const EMAIL_TYPE_ORDER_REJECTED = 3;
    const EMAIL_TYPE_JOIN_COMMUNITY = 4;
    const EMAIL_TYPE_GET_YOUR_STORE = 5;
    const EMAIL_TYPE_CONTACT_FORM = 6;
    
    public $email_content;
    public $email_type;
    
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($email_content)
    {
        $this->email_content = $email_content;
        $this->email_type = $email_content['email_type'];
    }
    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        
        if($this->email_type == self::EMAIL_TYPE_USER)
        {
            return $this->subject($this->email_content['subject'])->markdown('mail.userOrderDetails');
        }
        else if ($this->email_type == self::EMAIL_TYPE_ADMIN)
        {
            return $this->markdown('mail.adminOrderDetails');
        }
        else if($this->email_type == self::EMAIL_TYPE_ORDER_REJECTED)
        {
            return $this->subject($this->email_content['subject'])->markdown('mail.rejectOrderDetails');
        }
        else if($this->email_type == self::EMAIL_TYPE_JOIN_COMMUNITY)
        {
            return $this->subject($this->email_content['subject'])->markdown('mail.join_our_community');
        }
        else if($this->email_type == self::EMAIL_TYPE_GET_YOUR_STORE)
        {
            return $this->subject($this->email_content['subject'])->markdown('mail.get_your_store');
        }
        else if($this->email_type == self::EMAIL_TYPE_CONTACT_FORM)
        {
            return $this->subject($this->email_content['subject'])->markdown('mail.contact_form');
        }
        
    }
}