<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Merchant extends Model{
	use SoftDeletes;
    protected $guarded = [];
	
	
	public function category(){
   		return $this->belongsTo('App\Category','category_id');
   }
	
	
	public function products(){
		return $this->hasMany('App\Product','merchant_id')->with('category')->orderBy('sort_order','ASC');
	}
	
	
	public function order_products(){
   		 return $this->hasManyThrough('App\OrderProduct', 'App\Product','merchant_id','product_id','id','id');
   }
	
	public function invoices(){
   		return $this->hasMany('App\Invoice','merchant_id');
   }
}
