<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
			$table->bigInteger('category_id');
			$table->bigInteger('merchant_id');
			$table->string('name');
			$table->text('short_description');
			$table->text('description');
			$table->string('sku');
			$table->enum('manage_stock', ['Yes', 'No'])->default('No');
			$table->integer('stock_quantity');
			$table->integer('min_order_quantity');
			$table->double('weight');
			$table->string('unit');
			$table->text('related_files');
			$table->double('regular_price');
			$table->double('sale_price');
			$table->dateTime('sale_start', 0);
			$table->dateTime('sale_end', 0);
			$table->enum('taxable', ['Yes', 'No'])->default('No');
			$table->bigInteger('tax_id');
			$table->text('image');
			$table->text('related_products');
			$table->text('tags');
			$table->integer('sort_order');
            $table->enum('enabled', ['Yes', 'No'])->default('Yes');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            Schema::dropIfExists('products');
        });
    }

}
