<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
			$table->string('name');
			$table->string('email')->unique();
			$table->string('country');
			$table->string('country_code');
			$table->string('phone')->unique();
			$table->string('password');
			$table->text('photo');
			$table->string('gender');
			$table->string('google_token');
			$table->string('facebook_token');
			$table->string('instagram_token');
			$table->string('linked_in_token');
			$table->string('device_token');
			$table->enum('notifications', ['Yes', 'No'])->default('Yes');
            $table->enum('enabled', ['Yes', 'No'])->default('Yes');
			$table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            Schema::dropIfExists('users');
        });
    }
}
