@extends('layouts.login')

@section('content')

<div class="account-pages mt-5 mb-5">
    <div class="container">
        <div class="row">
             <div class="col-sm-12 col-md-12 col-lg-6 ">
              <img src="{{ asset('images/login_img.png') }}" class="img-responsive" width="100%">
                            <a href="#">
                                <center><img src="{{ asset('images/logo-oja.png') }}" alt="" height="70" class="text-center "></center>
                            </a>
             </div>                  
               <div class="col-sm-12 col-md-12   col-lg-6">
                <div class="p-4">
                    <div class="p-4">   
                           <p class="display-4">Welcome</p>
                            <p>Manage all things for your products in Oja.</p> 
                        @include('flash/flash')
                        <form method="POST" action="{{ route('login') }}" class="mt-4">
                        	@csrf

                            <div class="form-group mb-3">
                                <label>Email Address</label>
                                <input type="hidden" name="userLogin" value="{{ $adminLoginValue }}">
                                <input type="email" class="form-control btn-rounded @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" placeholder="Enter your email" required autocomplete="email" autofocus>
                               @if(Session::has('loginError'))
                                <div class="alert alert-danger">
                                  {{ Session::get('loginError')}}
                                </div>

                                @endif
                                @php

                                 session()->forget('loginError');
                                @endphp
                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">

                                <label>Password</label>
                                <input type="password" class="form-control btn-rounded @error('password') is-invalid @enderror" name="password" placeholder="Enter Password" required autocomplete="current-password">
                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                
                            </div>

                            <div class="form-group mb-0 text-center">
                                <button type="submit" class="btn btn-danger btn-block  btn-rounded pt-2 pb-2">
                                    {{ __('Log In') }}
                                </button>

                                
                            </div>
                        </form>
                        <hr class="mt-3">
                        <div class="row mt-3">
                            <div class="col-12 text-center">
                                <p> 
                                	@if (Route::has('password.request'))
	                                    <a class="text-black-50 ml-1 " href="{{ route('password.request') }}" onclick="return false;">
	                                        {{ __('Forgot Your Password?') }}
	                                    </a>
	                                @endif
                                </p>
                            </div> <!-- end col -->
                        </div>
                        <!-- end row -->

                    </div> <!-- end card-body -->
                </div>
                <!-- end card -->

            </div> <!-- end col -->
        </div>
        <!-- end row -->
    </div>
    <!-- end container -->
</div>

<!--
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Login') }}</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('login') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">

                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

                                    <label class="form-check-label" for="remember">
                                        {{ __('Remember Me') }}
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Login') }}
                                </button>

                                @if (Route::has('password.request'))
                                    <a class="btn btn-link" href="{{ route('password.request') }}">
                                        {{ __('Forgot Your Password?') }}
                                    </a>
                                @endif
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
-->
@endsection
