@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Brands</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Brands List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-6">
									<div class="page-title-box">
										<form class="form-inline" action="{{route('brandsList')}}">
                        					@csrf
                        					@method('get')
                        					<div class="input-group mr-2">
                        					  <input type="text" name="stext" value="{{$stext}}" placeholder="Brand Name" class="form-control" required>
                        					  <div class="input-group-append">
                        					    <button class="btn btn-secondary" type="submit" id="button-addon2"><i class="fa fa-search"></i></button>
                        					    <a href="{{route('brandsList')}}" class="btn btn-secondary waves-effect waves-light float-right">
        											<i class="mdi mdi-refresh"></i>
        										</a>
                        					  </div>
                        					</div>
                        				</form>
									</div>
								</div>
								
								<div class="col-6 text-right pt-1 pb-3">
									<a href="{{route('addBrand')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Create New Brand
									</a>
									<a href="{{route('importBrands')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Import
									</a>
									<a href="{{route('exportSampleBrands')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-download"></i> Download Sample
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Image</th>
											<th>Name</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($brands)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($brands as $brand)
										<tr>
											<td><img src="{{ empty($brand->logo)?asset('images/uncategorized.png'):$brand->logo }}" style="height:40px;"></td>
											<td>{{$brand->name}}</td>
											<td>{{$brand->enabled}}</td>
											<td style="width:120px;">
												<a href="{{route('editBrand',$brand->id)}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit">
													<i class="fa fa-edit"></i>
												</a>
												<form style="display:inline-block;" class="deleteUserForm" action="{{route('deleteBrand')}}" method="post">
													@csrf
													@method('DELETE')
													<input type="hidden" name="id" value="{{$brand->id}}">
													<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Brand">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
							{{$brands->links()}}

						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection