@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row">
				<div class="col-sm-8">
					<div class="page-title-box">

						<h4 class="page-title">Merchant Invoices</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('invoices.index') }}">Invoices</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Invoice
							</li>
						</ol>
					</div>
				</div>
				<div class="col-sm-2 text-right">
					<div class="mt-5">
						<a class="btn btn-sm btn-success mr-2" href="{{route('invoices.create')}}">
							<i class="fa fa-plus"></i>
							Add New
						</a>
						<a class="btn btn-sm btn-info" href="{{route('invoices.index')}}">
							<i class="fa fa-list"></i>
							View all
						</a>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">

				<div class="col-sm-8 offset-sm-2">
					<div class="card">
						<div class="card-header">
							
							<div class="card-title mb-0">
								<b>Edit Merchant Invoice</b>
							</div>
						</div>
						<div class="card-body">
							<form id="iForm" action="{{route('invoices.update',$invoice->id)}}" method="post">
								@csrf
								@method('PUT')
								<div class="row">
									<div class="col-sm-4">
										<div class="form-group">
											<label class="control-label">Invoice Number</label>
											<input class="form-control" type="text" name="invoice_number" value="{{$invoice->invoice_number}}" placeholder="Invoice Number" required>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-sm-4">
										<div class="form-group">
											<label class="control-label">Invoice Date</label>
											<input class="form-control idatepicker" type="text" name="invoice_date" value="{{$invoice->invoice_date}}" placeholder="Invoice Date" required>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-sm-4">
										<div class="form-group">
											<label class="control-label">Merchant</label>
											<select class="form-control" name="merchant_id" data-toggle="select2" required>
												<option value="">-- Merchant --</option>
												<?php foreach($merchants as $merchant): ?>
													<option <?php echo $merchant->id==$invoice->merchant_id?'selected':''; ?> value="{{$merchant->id}}">{{$merchant->merchant_code}} - {{$merchant->name}}</option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
								
									<div class="col-sm-8">
										<div class="form-group mt-2 pt-2 text-right">
											<button class="btn btn-success" type="submit">
												<i class="fa fa-save"></i>
												Update Now
											</button>
										</div>
									</div>
								</div>
							</form>
							
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<script>
	$(function(){
		$('#iForm').bootstrapValidator({
			//container: '#messages',
			fields: {
                invoice_number: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Invoice Number'
                        }
                    }
                },
                invoice_date: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Invoice Date'
                        }
                    }
                },
                merchant_id: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly Select Merchant'
                        }
                    }
                },
            }
		});
		
		
		$(document).find('.idatepicker').flatpickr({maxDate: '<?php echo date('Y-m-d'); ?>'});
		
	});
</script>
@endsection