@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row">
				<div class="col-sm-8">
					<div class="page-title-box">

						<h4 class="page-title">Merchant Invoices</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Invoices
							</li>
						</ol>
					</div>
				</div>
				<div class="col-sm-2 text-right">
					<div class="mt-5">
						<a class="btn btn-sm btn-success" href="{{route('invoices.create')}}">
							<i class="fa fa-plus"></i>
							Add New
						</a>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">

				<div class="col-sm-8 offset-sm-2">
					<div class="car">
						<div class="card-bod">
							
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Invoice No</th>
											<th>Invoice Date</th>
											<th>Merchant Code</th>
											<th>Merchant Name</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php foreach($invoices as $invoice): ?>
											<tr>
												<td>
													{{$invoice->invoice_number}}
												</td>
												<td>{{ date('d-M-Y',strtotime($invoice->invoice_date)) }}</td>
												<td>{{ $invoice->merchant->merchant_code }}</td>
												<td>{{ $invoice->merchant->name }}</td>
												
												<td class="text-right">
													<a href="{{ route('invoices.edit',$invoice->id) }}">
														<button type="button" class="btn btn-secondary waves-effect waves-light">
															<i class="mdi mdi-pencil"></i>
														</button>
													</a>
													<!--
													<form style="display:inline-block;" onsubmit="return confirm('Are you sure to delete <?php echo addslashes($invoice->invoice_number); ?>');" action="{{route('invoices.destroy',$invoice->id)}}" method="post">
														@csrf
														@method('DELETE')
														<button type="submit" class="btn btn-danger waves-effect waves-light">
															<i class="mdi mdi-delete"></i>
														</button>
													</form>
													-->
												</td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
							<div class="pagination-rounded mt-2">
								<?php echo $invoices->links(); ?>
							</div>
						</div>
						
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection