@extends('layouts.app')

@section('content')
	<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Edit Merchant</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('merchants.index') }}">Merchants</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Merchant
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('merchants.update',$merchant->id) }}" method="post" enctype="multipart/form-data">
						@csrf
						@method('put')
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit Merchant</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('merchants.index') }}">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="mdi mdi-arrow-left"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Merchant Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="name" required id="inputEmail3" value="{{$merchant->name}}" placeholder="Merchant Name">
												@if ($errors->has('name'))
                                                	<span class="text-danger form-text">{{ $errors->first('name') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Merchant Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="merchant_code" required value="{{$merchant->merchant_code}}" placeholder="Merchant Code">
												@if ($errors->has('merchant_code'))
                                                	<span class="text-danger form-text">{{ $errors->first('merchant_code') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Merchant Email</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="email" class="form-control" name="email" required id="" value="{{$merchant->email}}" placeholder="Merchant Email">
												@if ($errors->has('email'))
                                                	<span class="text-danger form-text">{{ $errors->first('email') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Merchant Phone</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="phone" required id="" value="{{$merchant->phone}}" placeholder="Merchant Phone">
												@if ($errors->has('phone'))
                                                	<span class="text-danger form-text">{{ $errors->first('phone') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Contact Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="contact_name" required id="" value="{{$merchant->contact_name}}" placeholder="Contact Person Name">
												@if ($errors->has('contact_name'))
                                                	<span class="text-danger form-text">{{ $errors->first('contact_name') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Login Password</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="password" class="form-control" name="password" id="" placeholder="Login Password">
												@if ($errors->has('password'))
                                                	<span class="text-danger form-text">{{ $errors->first('password') }}</span>
                                                @else
                                                	<span class="text-muted form-text">Password must be more than 8 characters long, should contain at least 1 Uppercase, 1 Lowercase, 1 Numeric and 1 special character.</span>
                                                @endif
											</div>
										</div>
										
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Logo Image</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="file" class="form-control" name="logo" accept="image/*">
												@if ($errors->has('logo'))
                                                	<span class="text-danger form-text">{{ $errors->first('logo') }}</span>
                                                @endif
											</div>
										</div>
										
										<hr>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Merchant Address</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="address" id="" value="{{$merchant->address}}" placeholder="Merchant Address">
												@if ($errors->has('address'))
                                                	<span class="text-danger form-text">{{ $errors->first('address') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Merchant City</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="city" id="" value="{{$merchant->city}}" placeholder="Merchant City">
												@if ($errors->has('city'))
                                                	<span class="text-danger form-text">{{ $errors->first('city') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Merchant State</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="state" id="" value="{{$merchant->state}}" placeholder="Merchant State">
												@if ($errors->has('state'))
                                                	<span class="text-danger form-text">{{ $errors->first('state') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Merchant State</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="zip" id="" value="{{$merchant->zip}}" placeholder="Zip Code">
												@if ($errors->has('zip'))
                                                	<span class="text-danger form-text">{{ $errors->first('zip') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Country</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control" name="country" id="" value="{{$merchant->country}}" placeholder="Country">
												@if ($errors->has('country'))
                                                	<span class="text-danger form-text">{{ $errors->first('country') }}</span>
                                                @endif
											</div>
										</div>
										<hr>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option value="Yes">Yes</option>
													<option value="No">No</option>
												</select>
												@if ($errors->has('enabled'))
                                                	<span class="text-danger form-text">{{ $errors->first('enabled') }}</span>
                                                @endif
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>

@endsection