@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Merchants</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Merchants
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12 col-sm-9 col-md-9">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-6 col-sm-8 col-md-8">
									<h4><i class=" mdi mdi-account-outline"></i> Merchants List</h4>
								</div>
								<div class="col-6 col-sm-4 col-md-4  text-right pt-1 pb-3">
									<a href="{{ route('merchants.create') }}" class="btn btn-secondary btn-rounded waves-effect waves-light">
										<span class="btn-label">
											<i class="mdi mdi-plus-circle"></i>
										</span>
										New Merchant
									</a>
									
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th width="150" class="text-center">Logo</th>
											<th>Code</th>
											<th>Name</th>
											<th>Phone </th>
											<th>Email</th>
											<th>Country</th>
											<th>Enabled</th>
											<th class="text-right">Actions</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($merchants)==0): ?>
											<tr class="table-info">
												<td colspan='9' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										<?php $sr=1; foreach($merchants as $merchant): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td class="text-center">
													@if (empty($merchant->logo))
														<img src="{{ asset('images/users/user-3.jpg') }}" alt="table-user" class="rounded-circle" width="40" >
													@else
														<img src="{{ $merchant->logo }}" alt="table-user" class="rounded-circle" width="40" >
													@endif
												</td>
												<td>{{ $merchant->merchant_code }}</td>
												<td>{{ $merchant->name }}</td>
												<td>{{ $merchant->phone }}</td>
												<td>{{ $merchant->email }}</td>
												<td>{{ $merchant->country }}</td>
												<td>{{ $merchant->enabled }}</td>
												<td class="text-center">
													
													<a href="{{ route('merchants.show',$merchant->id) }}">
														<button type="button" class="btn btn-info waves-effect waves-light">
															<i class="mdi mdi-eye"></i>
														</button>
													</a>
													
													<a href="{{ route('merchants.edit',$merchant->id) }}">
														<button type="button" class="btn btn-secondary waves-effect waves-light">
															<i class="mdi mdi-pencil"></i>
														</button>
													</a>
													<form onsubmit="return confirm('Are you sure to delete - <?php echo addslashes($merchant->name); ?>')" action="{{route('merchants.destroy',$merchant->id)}}" method="post" style="display:inline-block;">
														@csrf
														@method('DELETE')
														<button type="submit" class="btn btn-danger waves-effect waves-light">
															<i class="mdi mdi-delete"></i>
														</button>
													</form>
												</td>
											</tr>
										<?php endforeach; ?>
									</tbody>
								</table>
							</div>
							<div class="pt-3 pagination-rounded justify-content-end">
								{{ $merchants->appends($posted)->links() }}
							</div>
						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

				<div class="col-12 col-sm-3 col-md-3">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<h4 class="m-0 mb-2"><i class="mdi mdi-filter"></i> Filter</h4>
									</div>
								</div>
							</div>
							<form method="get">
								<div class="row">
									<div class="col-12">
										<div class="form-group mb-3">
											<label for="example-select">Search Where</label>
											<select name="field" required class="form-control">
												<option value=""></option>
												<option <?php echo @$posted['field']=='name'?'selected':''; ?> value="name">Merchant Name</option>
												<option <?php echo @$posted['field']=='phone'?'selected':''; ?> value="phone">Merchant Phone</option>
												<option <?php echo @$posted['field']=='email'?'selected':''; ?> value="email">Merchant Email</option>
												<option <?php echo @$posted['field']=='contact_name'?'selected':''; ?> value="contact_name">Contact Person Name</option>
												<option <?php echo @$posted['field']=='address'?'selected':''; ?> value="address">Merchant Address</option>
												<option <?php echo @$posted['field']=='city'?'selected':''; ?> value="city">City</option>
												<option <?php echo @$posted['field']=='state'?'selected':''; ?> value="state">State</option>
												<option <?php echo @$posted['field']=='country'?'selected':''; ?> value="country">Country</option>
											</select>
										</div>
	
										<div class="form-group mb-3">
											<label>Search Value</label>
											<input type="text" name="value" class="form-control" value="<?php echo @$posted['value']; ?>" required>
										</div>
										<div class="form-group mb-3">
											<label for="example-select">Enabled</label>
											<select name="enabled" class="form-control">
												<option <?php echo @$posted['enabled']==""?'selected':''; ?> value="">Both Yes &amp; No</option>
												<option <?php echo @$posted['enabled']=="Yes"?'selected':''; ?> value="Yes">Yes</option>
												<option <?php echo @$posted['enabled']=="No"?'selected':''; ?> value="No">No</option>
											</select>
										</div>
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
										</button>
										<a href="{{route('merchants.index')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear
										</a>
										
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	<!-- Footer Start -->
	<footer class="footer">
		<div class="container-fluid">
			<div class="row">
				<div class="col-md-6">
					2019 &copy; <a href="">Oja</a>
				</div>

			</div>
		</div>
	</footer>
	<!-- end Footer -->

</div>

@endsection