@extends('layouts.app')


@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h3>Add Product</h3>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('products.index') }}">Products</a>
							</li>
							<li class="breadcrumb-item active">
								Add New Product
							</li>
						</ol>
					</div>
				</div>
				<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
					
				</div>
			</div>
			<!-- end page title -->
		
			<div class="">
				<div id="valMessages"></div>
				<div class="row">
					<div class="col-12">
						<form class="form-horizontal" method="post" action="{{ route('products.store') }}" enctype="multipart/form-data" id="addProductForm" >
							@csrf
							<div class="float-right">
								<button type="submit" class="btn btn-success waves-effect waves-light">
									<i class="mdi mdi-content-save"> </i> Save Now
								</button>
							</div>
							<ul class="nav nav-tabs">
								
								<li class="nav-item">
									<a href="#invoice" data-toggle="tab" aria-expanded="false" class="nav-link active"> Invoice Details </a>
								</li>
								<li class="nav-item">
									<a href="#product_general" data-toggle="tab" aria-expanded="false" class="nav-link"> General </a>
								</li>
								<li class="nav-item">
									<a href="#skus" data-toggle="tab" aria-expanded="false" class="nav-link"> SKU and Stock </a>
								</li>
								
								<!--
								<li class="nav-item">
									<a href="#product_specification" data-toggle="tab" aria-expanded="false" class="nav-link"> Specifications </a>
								</li>
								
								<li class="nav-item">
									<a href="#product_img" data-toggle="tab" aria-expanded="false" class="nav-link"> Images </a>
								</li>
								
								<li class="nav-item">
									<a href="#product_stock_data" data-toggle="tab" aria-expanded="true" class="nav-link "> Stock Data </a>
								</li>
								-->
							</ul>
						
							<div class="tab-content">
								<div class="tab-pane show active" id="invoice">
									<div class="row">
										<div class="col-md-12">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Invoice No</label>
												<div class="col-sm-4">
													<input type="text" class="form-control "  placeholder="Invoice Number" name="invoice_no" value="" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Invoice No</label>
												<div class="col-sm-4">
													<input type="text" class="form-control datepicker"  placeholder="Invoice Date" name="invoice_date" value="" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Merchant Name</label>
												<div class="col-8 col-sm-6 col-md-6 col-lg-6">
													<select class="form-control" data-toggle="select2" name="merchant_id" required>
														<option value="">- Select -</option>
														<?php foreach($merchants as $merchant): ?>
															<option value="<?php echo $merchant -> id; ?>"><?php echo $merchant -> merchant_code; ?> - <?php echo $merchant -> name; ?></option>
														<?php endforeach; ?>
													</select>
													
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="tab-pane" id="product_general">
									
									<div class="row">
										<div class="col-md-12">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Name</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control @error('name') is-invalid @enderror"  placeholder="Product Name" name="name" value="{{old('name')}}" required>
													@if ($errors->has('name'))
	                                                      <span class="text-danger">{{ $errors->first('name') }}</span>
	                                                @endif
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product ID</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Product ID" name="product_code" required>
													
												</div>
											</div>
											
											<div class="form-group row mb-3 catContainer">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Categories</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													
													<select multiple="multiple" class="multi-select" name="category_id[]" data-plugin="multiselect">
	                                                    <?php foreach($catArray as $catAr): ?>
	                                                    	<optgroup label="<?php echo $catAr['name']; ?>">
	                                                    		<?php foreach($catAr['categories'] as $ctArCat): ?>
	                                                    			<option value="<?php echo $ctArCat['id']; ?>"><?php echo $ctArCat['name']; ?></option>
	                                                    		<?php endforeach; ?>
	                                                    	</optgroup>
	                                                    <?php endforeach; ?>
	                                                </select>
	                                            </div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Short Description</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<textarea class="form-control @error('short_description') is-invalid @enderror" id="product-description" rows="5" placeholder="Please enter description" name="short_description">{{old('name')}}</textarea>
													@if ($errors->has('short_description'))
	                                                      <span class="text-danger">{{ $errors->first('short_description') }}</span>
	                                                @endif
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Product Tags</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="text" class="form-control @error('tags') is-invalid @enderror"  placeholder="Product Tags comma separated" name="tags" data-role="tagsinput">
													@if ($errors->has('tags'))
	                                                      <span class="text-danger">{{ $errors->first('tags') }}</span>
	                                                @endif
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Related Download</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="file" class="form-control @error('related_files') is-invalid @enderror" name="related_files">
													@if ($errors->has('related_files'))
	                                                      <span class="text-danger">{{ $errors->first('related_files') }}</span>
	                                                @endif
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">
													Is Popular
													<i class="fa fa-info-circle" data-toggle="tooltip" title="Is this a popular product?"></i>
												</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control" name="popular" required>
														<option value="No">No</option>
														<option value="Yes">Yes</option>
													</select>
													
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Min. Stock Quantity</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="number" min="0" step="1" class="form-control"  placeholder="Min Stock Quantity" name="min_stock_quantity" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span> Product Taxable</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control" style="width: 100%" id="tax_product" required name="taxable">
														<option value="">-Select-</option>
														<option value="Yes">Yes</option>
														<option value="No">No</option>
													</select>
													
												</div>
											</div>
											<div id="taxable-pdt-data" style="display: none;">
												<div class="form-group row mb-3 ">
													<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Choose Tax</label>
													<div class="col-8 col-sm-10 col-md-10 col-lg-10">
														<select class="form-control" style="width: 100%" name="tax_id">
															<!-- <option value="">-Select-</option> -->
															<?php foreach($taxes as $tax): ?>
																<option value="<?php echo $tax -> id; ?>"><?php echo $tax -> name; ?> (<?php echo $tax -> rate; ?> %)</option>
															<?php endforeach; ?>
														</select>
													</div>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Sort Order</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="number" step="1" class="form-control @error('sort_order') is-invalid @enderror"  placeholder="0" name="sort_order" required>
													@if ($errors->has('sort_order'))
	                                                      <span class="text-danger">{{ $errors->first('sort_order') }}</span>
	                                                @endif
												</div>
											</div>
											@if(Auth::user()->role!='Uploader')
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control @error('enabled') is-invalid @enderror"  name="enabled" required>
														<option value="Yes">Yes</option>
														<option value="No">No</option>
													</select>
													@if ($errors->has('enabled'))
	                                                      <span class="text-danger">{{ $errors->first('enabled') }}</span>
	                                                @endif
												</div>
											</div>
											@endif
										</div>
									</div>
								</div>
								<div class="tab-pane" id="skus">
									<div class="skuDiv">
										<div class="card border border-warning bg-light p-2 divSku">
											<div class="row">
												<div class="col-sm-4">
													<div class="form-group">
														<label for="" class="control-label">
															<b>
																<span class="text-danger">*</span> SKU
															</b>
														</label>
														<div class="input-group">
														  <input type="text" class="form-control" placeholder="SKU">
														  <div class="input-group-append">
														    <button class="btn btn-secondary" type="button"><i class="mdi mdi-refresh"></i></button>
														  </div>
														</div>
													</div>
												</div>
												<div class="col-sm-8 text-right">
													<button class="btn btn-xs btn-danger removeSkuBtn" type="button">
														<i class="fa fa-minus-square"></i> Remove SKU Box
													</button>
												</div>
												<div class="col-sm-4">
													<h4>Specifications</h4>
													<div class="specRowBody">
														<div class="card-body mb-3 shadow bg-white">
															<span class="float-right">
																<button class="btn btn-xs btn-danger removeSpecBtn" type="button">
																	<i class="fa fa-minus"></i>
																</button>
															</span>
															<div class="form-group">
																
																<label class="control-label">
																	
																	<span class="text-danger">*</span>Specification Group
																</label>
																<select class="form-control specHeadSelect specField" data-bv-notEmpty required name="specification[0][heading][]" data-name="[heading][]" style="width:100%;">
																	<option value=""></option>
																	<?php foreach($specifications as $spec): ?>
																		<option value="<?php echo $spec->id; ?>"><?php echo $spec->name; ?></option>
																	<?php endforeach; ?>
																</select>
															</div>
															<div class="form-group">
																
																<label class="control-label specNameLabel">
																	<span class="text-danger">*</span>Specification Name
																</label>
																<select class="form-control specName specField" data-bv-notEmpty required name="specification[0][name][]" data-name="[name][]" style="width:100%;">
																	<option value=""></option>
																</select>
															</div>
															<div class="form-group">
																<label class="control-label">
																	<span class="text-danger">*</span>Specification Value
																</label>
																<textarea class="form-control specField" data-bv-notEmpty name="specification[0][value][]" data-name="[value][]" placeholder="Type here..." required></textarea>
															</div>
															<div class="form-group">
																<label class="control-label">
																	<span class="text-danger">*</span>Use for Filters ?
																</label>
																<select class="form-control specField" required data-bv-notEmpty name="specification[0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																	<option value="">Yes / No</option>
																	<option value="Yes">Yes</option>
																	<option value="No">No</option>
																</select>
															</div>
															
														</div>
													</div>
													<div class="text-right">
														<button type="button" class="addSpecRowBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="top" title="Add Specification">
															<i class="fa fa-plus"></i>
														</button>
													</div>
													
												</div>
												
												<div class="col-sm-4">
													<h4>Images</h4>
													<div class="row">
														<div class="col-12">
															<table class="table table-bordered mb-0 file-list bg-white" >
																<thead>
																	<tr>
																		<th colspan="2">
																			Select Images
																		</th>
																	</tr>
																</thead>
																
																<tbody class="imgTbody">
																	<tr>
																		<td>
																			<div class="form-group mb-0">
																				<input type="file" class="form-control" accept="image/*" name="photos[]">
																			</div>
																		</td>
																		<td style="width:50px;">
																			<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn">
																				<i class="mdi mdi-minus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
																<tbody>
																	<tr>
																		<td colspan="2" class="text-right">
																			<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																				<i class="fa fa-plus"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
															</table>
															
														</div>
													</div>
												</div>
												<div class="col-sm-4">
													<h4>Stock Batches</h4>
													<div class="batchesDiv">
														<div class="card-body p-3 border shadow bg-white mb-2">
															<span class="float-right">
																<button class="btn btn-xs btn-danger remBatchBtn" type="button">
																	<i class="fa fa-minus"></i>
																</button>
															</span>
															<div class="row">
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Batch Number
																		</label>
																		<input type="text" data-bv-notEmpty data-bv-remote data-bv-remote-message="Batch Number already exists." required class="form-control form-control-sm" name="batch[batch_number]"  placeholder="">
																	</div>
																</div>
																
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Manufacture Date
																		</label>
																		<input type="text" data-bv-notEmpty required class="form-control datepicker form-control-sm" name="batch[mfd_date]"  placeholder="">
																			
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Expiry Date
																		</label>
																		<div class="input-group">
																		  <input type="text" data-bv-notEmpty class="form-control edpicker datepicker form-control-sm " name="batch[expiry_date]"  placeholder="">
																		  <div class="input-group-append">
																		    <button class="btn input-group-text text-dark" onclick="$('.edpicker').val('');" type="button" data-toggle="tooltip" title="Remove Expiry Date">
																		    	<i class="fa fa-times"></i>
																		    </button>
																		  </div>
																		</div>
																		<span class="help-block text-muted">* Leave Empty if No Expiry Date</span>
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Product Quantity
																		</label>
																		<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control form-control-sm" name="batch[quantity]"  placeholder="">
																			
																	</div>
																</div>
																<div class="col-sm-12">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Dimensions (cm.)
																		</label>
																		<div class="input-group input-group-sm">
																			<span class="input-group-prepend">
																				<span class="input-group-text">L</span>
																			</span>
																			<input type="number" step="0.01" min="0.01" data-bv-notEmpty required class="form-control" name="batch[length]"  placeholder="">
																			<span class="input-group-prepend">
																				<span class="input-group-text">B</span>
																			</span>
																			<input type="number" step="0.01" min="0.01" data-bv-notEmpty required class="form-control" name="batch[bredth]"  placeholder="">
																			<span class="input-group-prepend">
																				<span class="input-group-text">H</span>
																			</span>
																			<input type="number" step="0.01" min="0.01" data-bv-notEmpty required class="form-control" name="batch[height]"  placeholder="">
																		
																		</div>
																			
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Weight
																		</label>
																		<div class="input-group input-group-sm">
																			<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control form-control-sm" name="batch[weight]"  placeholder="">
																			<select class="form-control form-control-sm" name="weight_unit">
																				<option value="Litre">Litre</option>
																				<option value="Kg">KG</option>
																				<option value="Grams">Grams</option>
																				<option value="Pcs">Nos</option>
																			</select>	
																		</div>
																			
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Single Unit MRP
																		</label>
																		<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control form-control-sm" name="batch[product_mrp]"  placeholder="">
																			
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Offset
																		</label>
																		<div class="input-group input-group-sm">
																		  <input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control form-control-sm" name="batch[margin_ratio]"  placeholder="">
																		  <div class="input-group-append">
																		    <span class="input-group-text" >%</span>
																		  </div>
																		</div>
																	</div>
																</div>
																<div class="col-sm-6">
																	<div class="form-group form-group-sm">
																		<label for="" class="control-label">
																			<span class="text-danger">*</span>
																			Selling Price
																		</label>
																		<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control form-control-sm" name="batch[base_rate]"  placeholder="">
																			
																	</div>
																</div>
																
															</div>
														</div>
													</div>
													<div class="text-right mt-2">
														<button type="button" class="addBatchBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="top" title="Add Batch">
															<i class="fa fa-plus"></i>
														</button>
													</div>
												</div>
											</div>
											
										</div>
									</div>
									<button type="button" class="addSkuBtn btn btn-md mb-2 btn-warning" data-toggle="tooltip" data-placement="top" title="Add More SKU">
										<i class="fa fa-plus"></i>
									</button>
								</div>
								<!--
								<div class="tab-pane  " id="product_specification">
									<div class="row">
										<div class="col-md-12">
											<table class="table table-bordered">
												<thead>
													<tr>
														<th><span class="text-danger">*</span>Specification Heading</th>
														<th><span class="text-danger">*</span>Specificaton Details</th>
														<th></th>
													</tr>
												</thead>
												<tbody class="specHeadBody">
													<tr class='specHeadRow'>
														<td style="width:25%;">
															<div class="form-group">
																<select class="form-control stitle specHeadField" required data-bv-notEmpty name="specification[0][head]" data-name="[head]" style="width:100%;">
																	<option value="">- Select -</option>
																	<?php foreach($specifications as $spec): ?>
																		<option><?php echo $spec->name; ?></option>
																	<?php endforeach; ?>
																</select>
															</div>
														</td>
														<td class="p-0">
															<table class='table table-bordered m-0 specRowTable'>
																<thead>
																	<tr>
																		<th><span class="text-danger">*</span>Specification Name</th>
																		<th><span class="text-danger">*</span>Specification Value</th>
																		<th><span class="text-danger">*</span>Use for Filters ?</th>
																		<th></th>
																	</tr>
																</thead>
																<tbody class="specRowBody">
																	<tr>
																		<td style="width:25%;">
																			<div class="form-group">
																			<select class="form-control sname specField" data-bv-notEmpty required name="specification[0][name][]" data-name="[name][]" style="width:100%;">
																				<option value=""></option>
																				<?php foreach($specifications as $spec): ?>
																					<optgroup label="<?php echo $spec->name; ?>">
																						<?php foreach($spec->specifications as $aspec): ?>
																							<option><?php echo $aspec->name; ?></option>
																						<?php endforeach; ?>
																					</optgroup>
																				<?php endforeach; ?>
																			</select>
																			</div>
																		</td>
																		<td>
																			<div class="form-group">
																			<textarea class="form-control specField" data-bv-notEmpty name="specification[0][value][]" data-name="[value][]" placeholder="Type here..." required></textarea>
																			</div>
																		</td>
																		<td>
																			<div class="form-group">
																			<select class="form-control specField" required data-bv-notEmpty name="specification[0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																				<option value="">Yes / No</option>
																				<option value="Yes">Yes</option>
																				<option value="No">No</option>
																			</select>
																			</div>
																		</td>
																		<td style="width:50px;">
																			<button type="button" class="remRowBtn btn btn-md btn-danger" data-toggle="tooltip" data-placement="left" title="Remove Specification Detail">
																				<i class="mdi mdi-minus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
																<tbody>
																	<tr>
																		<td colspan="3" class="text-right">
																			<button type="button" class="addSpecRowBtn btn btn-md btn-warning" data-toggle="tooltip" data-placement="right" title="Add more specification details">
																				<i class="mdi mdi-plus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
															</table>
														</td>
														<td style='width:50px;'>
															<button type="button" class="remRowBtn btn btn-md btn-danger" data-toggle="tooltip" data-placement="left" title="Remove Specification Heading">
																<i class="mdi mdi-minus-circle"></i>
															</button>
														</td>
													</tr>
												</tbody>
												<tbody>
													<tr>
														<td colspan="3" class="text-right">
															<button type="button" class="addSpecHeadingBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="right" title="Add specification Heading">
																<i class="mdi mdi-plus-circle"></i>
															</button>
														</td>
													</tr>
												</tbody>
											</table>
											
											
										</div>
									</div>
								</div>
								
								<div class="tab-pane " id="product_img">
									<div class="row">
										
										<div class="col-12">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Featured Image</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-100">
													<input type="file" class="form-control @error('image') is-invalid @enderror"  required accept="image/*" placeholder="" name="image">
													@if ($errors->has('image'))
	                                                      <span class="text-danger">{{ $errors->first('image') }}</span>
	                                                @endif
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>Product Images</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													
													<div class="row">
														<div class="col-6">
															<table class="table table-bordered mb-0 file-list" >
																<tbody class="imgTbody">
																	<tr>
																		<td>
																			<input type="file" class="form-control" accept="image/*" name="photos[]">
																		</td>
																		<td style="width:50px;">
																			<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn">
																				<i class="mdi mdi-minus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
																<tbody>
																	<tr>
																		<td></td>
																		<td style="width:50px;">
																			<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																				<i class=" mdi mdi-plus-circle"></i>
																			</button>
																		</td>
																	</tr>
																</tbody>
															</table>
														</div>
													</div>
													
												</div>
											</div>
										</div>
									</div>
								</div>
								
								<div class="tab-pane " id="product_stock_data">
									<div class="row">
										<div class="col-md-4">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>SKU</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="text" class="form-control @error('sku') is-invalid @enderror"  placeholder="SKU" name="sku" required>
													@if ($errors->has('sku'))
	                                                      <span class="text-danger">{{ $errors->first('sku') }}</span>
	                                                @endif
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Weight</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="text" class="form-control @error('weight') is-invalid @enderror" value="0"  placeholder="Weight" name="weight">
													@if ($errors->has('weight'))
	                                                      <span class="text-danger">{{ $errors->first('weight') }}</span>
	                                                @endif
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Unit</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control @error('unit') is-invalid @enderror"  name="unit">
														<option>Liter(s)</option>
														<option>Number(s)</option>
														<option>KG</option>
														<option>Grams</option>
													</select>
													@if ($errors->has('unit'))
	                                                      <span class="text-danger">{{ $errors->first('unit') }}</span>
	                                                @endif
												</div>
											</div>
											
											
										</div>
										<div class="col-md-6">
											<div class="card border border-secondary">
											<div class="card-body">
												<div class="row">
													<div class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
													</div>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<h4 class="p-0 ">
															Batch Details
														</h4>
													</div>
												</div>
												
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Batch Number
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="text" data-bv-notEmpty data-bv-remote data-bv-remote-message="Batch Number already exists." required class="form-control @error('batch_number') is-invalid @enderror" name="batch[batch_number]"  placeholder="Batch Number">
														@if ($errors->has('batch_number'))
		                                                      <span class="text-danger">{{ $errors->first('batch_number') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Manufacture Date
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="text" data-bv-notEmpty required class="form-control datepicker @error('mfd_date') is-invalid @enderror" name="batch[mfd_date]"  placeholder="Manufacture date">
														@if ($errors->has('mfd_date'))
		                                                      <span class="text-danger">{{ $errors->first('mfd_date') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Expiry Date
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<div class="input-group">
														  <input type="text" data-bv-notEmpty class="form-control edpicker datepicker @error('expiry_date') is-invalid @enderror" name="batch[expiry_date]"  placeholder="Expiry date">
														  <div class="input-group-append">
														    <button class="btn input-group-text text-dark" onclick="$('.edpicker').val('');" type="button" data-toggle="tooltip" title="Remove Expiry Date">
														    	<i class="fa fa-times"></i>
														    </button>
														  </div>
														</div>
														@if ($errors->has('expiry_date'))
		                                                      <span class="text-danger">{{ $errors->first('expiry_date') }}</span>
		                                                @endif
		                                                <span class="help-block text-muted">* Leave Empty if No Expiry Date</span>
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Product Quantity
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control @error('quantity') is-invalid @enderror" name="batch[quantity]"  placeholder="Product Quantity in Batch">
														@if ($errors->has('quantity'))
		                                                      <span class="text-danger">{{ $errors->first('quantity') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Single Unit MRP
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal mrp @error('product_mrp') is-invalid @enderror" name="batch[product_mrp]"  placeholder="Single Unit MRP">
														@if ($errors->has('product_mrp'))
		                                                      <span class="text-danger">{{ $errors->first('product_mrp') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Margin Ratio
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<div class="input-group">
														  <input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal mratio @error('margin_ratio') is-invalid @enderror" name="batch[margin_ratio]"  placeholder="Margin Ratio %">
														  <div class="input-group-append">
														    <span class="input-group-text" >%</span>
														  </div>
														</div>
														
														@if ($errors->has('margin_ratio'))
		                                                      <span class="text-danger">{{ $errors->first('margin_ratio') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Calculated Base Rate
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal brate @error('base_rate') is-invalid @enderror" name="batch[base_rate]"  placeholder="Base Rate">
														@if ($errors->has('base_rate'))
		                                                      <span class="text-danger">{{ $errors->first('base_rate') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														<span class="text-danger">*</span>
														Offer Type
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<select required class="form-control otype" name="batch[offer_type]">
															<option value="None">None</option>
															<option value="Percentage">Percentage</option>
															<option value="Flat">Flat Price</option>
														</select>
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														Offer Value
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="number" step="0.01" min="1" class="form-control ovalue @error('offer_value') is-invalid @enderror" name="batch[offer_value]"  placeholder="Offer Value">
														@if ($errors->has('offer_value'))
		                                                      <span class="text-danger">{{ $errors->first('offer_value') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														Offer Start Date
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<input type="text" class="form-control datepicker osdate @error('offer_start_date') is-invalid @enderror" name="batch[offer_start_date]"  placeholder="Offer Start Date">
														
														@if ($errors->has('offer_start_date'))
		                                                      <span class="text-danger">{{ $errors->first('offer_start_date') }}</span>
		                                                @endif
													</div>
												</div>
											</div>
											<div class="">
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
														Offer End Date
													</label>
													<div class="col-8 col-sm-8 col-md-8 col-lg-8">
														<div class="input-group">
														  <input type="date" class="form-control datepicker ebrate brate @error('offer_end_date') is-invalid @enderror" name="batch[offer_end_date]"  placeholder="Offer End Date">
														  <div class="input-group-append">
														    <button class="btn input-group-text text-dark" onclick="$('.ebrate').val('');" type="button" data-toggle="tooltip" title="Remove End Date">
														    	<i class="fa fa-times"></i>
														    </button>
														  </div>
														</div>
														@if ($errors->has('offer_end_date'))
		                                                      <span class="text-danger">{{ $errors->first('offer_end_date') }}</span>
		                                                @endif
		                                                <span class="help-block text-muted" style="display:inline-block;padding-top:3px;">
		                                                	<i class="fa fa-info-circle"></i>
		                                                	Leave empty if offer is valid till stock lasts.
		                                                </span>
													</div>
												</div>
											</div>
											</div>
										</div>
										</div>
									</div>
								</div>
								-->
							</div>
						</form>
							
						
					</div>
				</div>
			</div>
				

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

<script type="text/javascript">
	var loading = `<span class="text-danger loading"><i class="fa fa-spin fa-spinner"></i></span>`;
	$(function() {
		//$('.button-menu-mobile').trigger('click');
		
		$('#tax_product').on('change', function() {
			if ($(this).val() == "Yes") {
				$('#taxable-pdt-data').show();
			} else {
				$('#taxable-pdt-data').hide();
			}
		});
		
		var newImg = $('.imgTbody').html();
		$(document).on('click','.addNewImageBtn',function(){
			destroyValidation();
			$('.imgTbody').append(newImg);
			buildValidation();
		});
		
		$(document).on('click','.remRowBtn',function(){
			destroyValidation();
			$(this).parents('tr').remove();
			if($('.imgTbody > tr').length==0){
				$('.imgTbody').append(newImg);
			}
			buildValidation();
		});
		
		//for whole sku div
		var newSkuForm = $('.skuDiv').html();
		$(document).on('click','.addSkuBtn',function(){
			$('.skuDiv').append(newSkuForm);
		});
		
		 
		$(document).on('click','.removeSkuBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').remove();
			if($('.divSku').length==0){
				$('.skuDiv').append(newSkuForm);
			}
			buildValidation();
		});
		
		
		//for batches
		var newBatch = $('.batchesDiv').html();
		$(document).on('click','.addBatchBtn',function(){
			destroyValidation();
			$('.batchesDiv').append(newBatch);
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		$(document).on('click','.remBatchBtn',function(){
			destroyValidation();
			$(this).parents('.card-body').remove();
			if($('.batchesDiv > .card-body').length==0){
				$('.batchesDiv').html(newBatch);
			}
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		
		var specRowBody = $('.specRowBody').html();
		
		
		$(document).on('click','.addSpecRowBtn',function(){
			destroyValidation();
			$('.specRowBody').append(specRowBody);
			 buildValidation();
		});
		
		$(document).on('click','.removeSpecBtn',function(){
			destroyValidation();
			$(this).parents('.card-body').remove();
			if($('.specRowBody > .card-body').length==0){
				$('.specRowBody').append(specRowBody);
			}
			 buildValidation();
		});
		
		$(document).on('change','.specHeadSelect',function(){
			var specid = $(this);
			
			if(specid.val()){
				$.ajax({
					type:'POST',
					data:{parent_id:specid.val(),_token:$('[name="csrf-token"]').attr('content')},
					url: "{{route('getSpecs')}}",
					beforeSend:function(){
						specid.parents('.card-body').find('.specNameLabel').append(loading);
						specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
						
					},
					success:function(resp){
						$('.specNameLabel').find('.loading').remove();
						specid.parents('.card-body').find('.specName').html(resp);
						console.log(resp);
					}
				});
			} else {
				specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
			}
		});
		
		/*
		$(document).on('change','.stitle',function(){
			var title = $(this).val();
			
			$(this).parents('.specHeadRow').find('optgroup:not([label="'+title+'"])').hide();
			$(this).parents('.specHeadRow').find('optgroup[label="'+title+'"]').show();
			$(this).parents('.specHeadRow').find('.sname').val('');
		});
		*/
		
		
		function updateSpecFields(){
			
			var i=0;
			$('.specRowBody > .card-body').each(function(){
				$(this).find('.specField').each(function(){
					$(this).prop('name','specification['+i+']'+$(this).data('name'));
				});
				i++;
			});
			
			buildValidation();
		}
		
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		/*
		$(document).on('keyup','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brate');
			
			if(mrp.val() && mratio.val()){
				brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
				if(Math.round(brate)!=brate){
					brate = brate.toFixed(2);
				}
				baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
			} else {
				baseRate.val(0);
			}
		}); */
		//base price calculations ends
		
		$(document).on('change','.otype',function(){
			if($(this).val()!='None'){
				$('.ovalue').prop('required',true);
				$('.osdate').prop('required',true);
			} else {
				$('.ovalue').prop('required',false);
				$('.osdate').prop('required',false);
			}
		});
		
	});
	
	
	$(function() {
	    buildValidation();
	});
	function destroyValidation(){
		var bootstrapValidat = $('#addProductForm').data('bootstrapValidator');
		
		if (bootstrapValidat != undefined)
		   { bootstrapValidat.destroy();}
	}
	function buildValidation(){
		
		    
		$('#addProductForm')
	        .bootstrapValidator({
	            // Only disabled elements are excluded
	            // The invisible elements belonging to inactive tabs must be validated
	            excluded: [':disabled'],
	            //container: '#valMessages',
	            feedbackIcons: {
	                valid: 'fa fa-check',
	                invalid: 'fa fa-times',
	                validating: 'fa fa-refresh'
	            },
	            fields: {
	            	invoice_no: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Number is required'
	                        }
	                    }
	                },
	                invoice_date: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Date is required'
	                        }
	                    }
	                },
	                name: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product name is required'
	                        }
	                    }
	                },
	                'category_id[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Category is required'
	                        }
	                    }
	                },
	                merchant_id: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Merchant is required'
	                        }
	                    }
	                },
	                sku: {
	                    validators: {
	                        notEmpty: {
	                            message: 'SKU is required'
	                        },
	                        remote: {
		                        message: 'The SKU already exists',
		                        url: "{{route('validateProductSku')}}"
		                    }
	                    }
	                },
	                sort_order: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Sort Order is required'
	                        }
	                    }
	                },
	                regular_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Actual Price is required'
	                        }
	                    }
	                },
	                min_stock_quantity: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Minimum Stock Quantity is required'
	                        }
	                    }
	                },
	                /*
	                sale_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Offer Price is required'
	                        }
	                    }
	                },
	                
	                image: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Featured Image is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        //type: 'image/jpeg,image/png',
		                        //maxSize: 2048 * 1024,
		                        message: 'Only JPEG, PNG, GIF or JPG are allowed for Featured Image'
		                    }
	                    }
	                },*/
	                'photos[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Image File is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        
		                        message: 'Only JPEG, PNG, GIF or JPG Files are allowed.'
		                    }
	                    }
	                },
	                taxable: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Taxable Field is required'
	                        }
	                    }
	                },
	                related_files: {
	                	validators: {
	                		file: {
		                        extension: 'pdf,PDF',
		                        message: 'Only PDF file is allowed'
		                    }
	                	}
	                },
	                'batch[batch_number]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Batch Number is required'
	                        },
	                        remote: {
		                        message: 'This Batch Number already exists',
		                        url: "{{route('validateProductBatchNumber')}}"
		                    }
	                        
	                    }
	                },
	                'batch[mfd_date]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Manufacture Date is required'
	                        },
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Manufacture date must be less than Expiry Date',
	                            callback: function (value, validator, $field) {
	                                if($field.parents('.card-body').find('[name="batch[expiry_date]"]').val() && $field.parents('.card-body').find('[name="batch[expiry_date]"]').val()<=value){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                    }
	                },
	                'batch[expiry_date]': {
	                    validators: {
	                        /* notEmpty: {
	                            message: 'Expiry Date is required'
	                        },*/
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Expiry date must be greater than Manufacture Date',
	                            callback: function (value, validator, $field) {
	                                if($field.parents('.card-body').find('[name="batch[mfd_date]"]').val() && $field.parents('.card-body').find('[name="batch[mfd_date]"]').val()>=value){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                    }
	                },
	                'batch[quantity]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product Quantity in this batch is required'
	                        }
	                    }
	                },
	                'batch[margin_ratio]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Margin Ratio is required'
	                        }
	                    }
	                },
	                'batch[product_mrp]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Single Product MRP is required'
	                        }
	                    }
	                },
	                'batch[base_rate]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Base Rate is required'
	                        }
	                    }
	                },
	                
	                
	            }
	        })
	        // Called when a field is invalid
	        .on('error.field.bv', function(e, data) {
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id');
	
	            $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                .parent()
	                .find('i')
	                .removeClass('fa-check')
	                .addClass('fa-times');
	        })
	        // Called when a field is valid
	        .on('success.field.bv', function(e, data) {
	            // data.bv      --> The BootstrapValidator instance
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id'),
	                $icon    = $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                            .parent()
	                            .find('i')
	                            .removeClass('fa-check fa-times');
	
	            // Check if the submit button is clicked
	            if (data.bv.getSubmitButton()) {
	                // Check if all fields in tab are valid
	                var isValidTab = data.bv.isValidContainer($tabPane);
	                $icon.addClass(isValidTab ? 'fa-check' : 'fa-times');
	            }
	        });
	        
	        $(document).find(".datepicker").flatpickr({
					dateFormat : "Y-m-d"
				});
	}
	
	
</script>
@endsection