@extends('layouts.app')

@section('content')
	<div class="content-page">
		<div class="content">
			<!-- Start Content-->
			<div class="container-fluid">
				<!-- start page title -->
				<div class="row mt-3 mb-3">
					<div class="col-8 col-sm-8 col-md-8 col-lg-8">
						<div class="page-title-box">
							<h4>Product SKU &amp; Stock Details</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="{{route('dashboard')}}">Dashboard</a>
								</li>
								<li class="breadcrumb-item">
									<a href="{{route('products.index')}}">Products</a>
								</li>
								<li class="breadcrumb-item active">
									SKU &amp; Stock Details
								</li>
							</ol>
						</div>
					</div>
					<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
						
					</div>
				</div>
				<!-- end page title -->
				<div>
					<ul class="nav nav-tabs" id="myTab" role="tablist">
					  <li class="nav-item">
					    <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">SKU Information</a>
					  </li>
					  <li class="nav-item">
					    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">Stock Information</a>
					  </li>
					  
					</ul>
					<div class="tab-content" id="myTabContent">
					  <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
					  	<div class="row">
					  		<div class="col-sm-6">
					  			<div class="table-responsive">
									<table class="table table-bordered shadow">
										<thead>
											<tr class="table-active">
												<th>SKU</th>
												<th>Variation Name</th>
												<th>Variation Value</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td>{{$sku->sku}}</td>
												<td>{{$sku->variation_name}}</td>
												<td>{{$sku->variation_value}}</td>
											</tr>
										</tbody>
									</table>
								</div>
								<h5>SKU Specifications</h5>
								<table class="table table-hover border shadow">
									<thead>
										<tr class="table-active">
											<th>Speficiation</th>
											<th>Value</th>
											<th>Use for Filters?</th>
										</tr>
									</thead>
									<?php foreach($sku->productSpecifications as $pSpecHead): ?>
										<tr>
											<td colspan="3" class="text-info">
												<b>{{$pSpecHead->name}}</b>
											</td>
										</tr>
										<?php foreach($pSpecHead->productSpecifications as $pSpec): ?>
											<tr>
												<td class="">
													<b>{{$pSpec->name}}</b>
												</td>
												<td>
													{{$pSpec->value}}
												</td>
												<td>
													{{$pSpec->use_in_filters}}
												</td>
											</tr>
										<?php endforeach; ?>
									<?php endforeach; ?>
								</table>
								
								<h5>Product Information</h5>
								<table class="table table-stripped border shadow">
									<?php $product = $sku->product; ?>
									<tbody>
										<tr>
											<td>
												<b>Product ID</b>
												<br>
												{{$product->product_code}}
											</td>
											<td>
												<b>HSN</b>
												<br>
												{{$product->hsn}}
											</td>
										</tr>
										<tr>
											<td>
												<b>Categories</b>
											</td>
											<td>
												<ul class="pl-2" type="circle">
													<?php foreach($product->categories as $cats): ?>
														<li href="javascript:void(0);">
															{{$cats->name}}
															({{$cats->category->name}})
														</li>
													<?php endforeach; ?>
												</ul>
											</td>
										</tr>
										<tr>
											<td>
												<b>Country</b>
											</td>
											<td>
												<?= isset($product->country) ? $product->country->name : ""?>
											</td>
										</tr>
										<tr>
											<td>
												<b>Weight</b>
											</td>
											<td>
												<?= $product->weight . " " . $product->weight_unit?>
												
											</td>
										</tr>
										<tr>
											<td>
												<b>Product tags</b>
											</td>
											<td>
												<?php $tags = explode(',',$product->tags); ?>
												<?php foreach($tags as $tag): ?>
													<span class="badge badge-danger d-inline-block p-1 rounded-pill">{{$tag}}</span>
												<?php endforeach; ?>
											</td>
										</tr>
										<tr>
											<td>
												<b>Is Popular?</b>
											</td>
											<td>{{$product->popular}}</td>
										</tr>
										<tr>
											<td>
												<b>Tax</b>
											</td>
											<td>
												<?php if(empty($product->tax)): ?>
													Not Applicable
												<?php else: ?>
													{{$product->tax->rate}} %
													({{$product->tax->name}})
													
												<?php endif; ?>
												
											</td>
										</tr>
										<tr>
											<td>
												<b>Min. Stock Quantity</b>
											</td>
											<td>{{$product->min_stock_quantity}}</td>
										</tr>
										<tr>
											<td>
												<b>Enabled ?</b>
											</td>
											<td>{{$product->enabled}}</td>
										</tr>
										
									</tbody>
								</table>
					  		</div>
					  		
					  		<div class="col-sm-6">
					  			<h5>Product Images</h5>
								<div class="">
										<?php foreach($sku->images as $pimage): ?>
										<img src="{{$pimage->name}}" class="border rounded shadow" data-toggle="modal" data-target="#imodel{{$pimage->id}}" style="object-fit:cover;cursor:pointer; width:200px;height:200px;">
										<div class="modal" tabindex="-1" role="dialog" id="imodel{{$pimage->id}}">
										  <div class="modal-dialog modal-lg" role="document">
										    <div class="modal-content">
										      <div class="modal-header">
										        <h5 class="modal-title">Image Preview</h5>
										        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
										          <span aria-hidden="true">&times;</span>
										        </button>
										      </div>
										      <div class="modal-body text-center">
										        <img src="{{$pimage->name}}" class="border rounded shadow" style="max-width:100%">
										      </div>
										      
										    </div>
										  </div>
										</div>
									<?php endforeach; ?>
								</div>
					  		</div>
					  	</div>
					  </div>
					  <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
					  	<div class="text-right">
					  		<button class="btn btn-info btn-sm mb-2 reorderBtn" type="button">
					  			<i class="fa fa-sort mr-1"></i>
					  			Re-Order
					  		</button>
					  		<button class="btn btn-warning btn-sm mb-2 reorderCancelBtn" style="display:none;" type="button">
					  			<i class="fa fa-ban mr-1"></i>
					  			Cancel Re-Order
					  		</button>
					  		<button class="btn btn-success btn-sm mb-2 reorderUpdateBtn" style="display:none;" type="button">
					  			<i class="fa fa-save mr-1"></i>
					  			Save Re-Order
					  		</button>
					  		
					  	</div>
					  	<div class="">
					  		<form id="reorderForm">
							  	<table class="table mb-0 table-bordered " >
									<thead class="table-active">
										<tr>
											<th>Batch No</th>
											<th>Merchant</th>
<!-- 											<th>Manufacture Date</th> -->
<!-- 											<th>Expiry Date</th> -->
											<th>Quantity</th>
											<th>Product MRP</th>
											<th>Margin Ratio (%)</th>
											<th>Base Rate</th>
											
											<th>Enabled</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									
									<?php if(count($sku->batches)==0): ?>
										<tbody>
											<tr class="table-info">
												<td colspan='11' class="text-center">
													No Records Found
												</td>
											</tr>
										</tbody>
									<?php endif; ?>
										
									<tbody id="batchTbody">
										<?php foreach($sku->batches as $batch): ?>
											
											<tr class="bg-white">
												<td>
													{{$batch->batch_number}}
													<input class="batchesOrderInput" type="hidden" name="batch[]" value="{{$batch->id}}">
												</td>
												<td>
													{{ @$batch->users->name}} <br>
												</td>
<!-- 												<td>{{$batch->mfd_date}}</td> -->
<!-- 												<td>{{$batch->expiry_date}}</td> -->
												<td>{{$batch->quantity}}</td>
												<td >{{$batch->product_mrp}}</td>
												<td>{{$batch->margin_ratio}}</td>
												<td>{{$batch->base_rate}}</td>
												
												<td>
													{{$batch->enabled}}
													@if($batch->enabled=='Yes')
														<?php $pplr = 'No'; ?>
													@else 
														<?php $pplr = 'Yes'; ?>
													@endif
													<form style="display:block;" action="{{route('markBatchEnabled',[$batch->id,$pplr])}}" method="get">
														@csrf
														@method('GET')
														<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to {{$pplr}}">
															<i class="fa fa-recycle"></i>
														</button>
													</form>
												</td>
												<td class="text-right">
													<a href="{{route('batches.show',$batch->id)}}">
														<button type="button" class="btn btn-secondary waves-effect waves-light">
															<i class="mdi mdi-eye"></i>
														</button>
													</a>
													<!--
													<button type="button" class="btn btn-danger waves-effect waves-light">
														<i class="mdi mdi-delete"></i>
													</button>
													-->
												</td>
											</tr>
										<?php endforeach; ?>
									</tbody>
								</table>
							</form>
						</div>
					  </div>
					</div>
				</div>
				
				
				
				
				
			</div>
		</div>
	</div>
				
	<script>
		$(function(){
			
			$(document).on('click','.reorderBtn',function(){
				sortable('#batchTbody', {
				  items: 'tr',
				  placeholder: '<tr class="table-active"><td colspan="10" class="text-center p-3">Batch will be placed here</td></tr>'
				});
				$(this).hide();
				
				$('.reorderCancelBtn').show();
				$('.reorderUpdateBtn').show();
			});
			
			$(document).on('click','.reorderCancelBtn',function(){
				sortable('#batchTbody', 'destroy');
				$('.reorderCancelBtn').hide();
				$('.reorderUpdateBtn').hide();
				$('.reorderBtn').show();
			});
			
			$(document).on('click','.reorderUpdateBtn',function(){
				var ar = new Array();
				$(document).find('.batchesOrderInput').each(function(){
					ar.push($(this).val());
				});
				btn = $(this);
				$.ajax({
					type:'POST',
					data:{_token:$('[name="csrf-token"]').attr('content'),batches:ar},
					url:"{{route('updateSkuBatchOrder')}}",
					beforeSend:function(){
						btn.find('.fa').addClass('fa-spin fa-spinner').prop('disabled',true);	
					},
					success:function(resp){
						if(resp==1){
							Swal.fire(
						      'Updated!',
						      'Batch Order Updated.',
						      'success'
						   );
						} else {
							Swal.fire(
						      'Not Updated',
						      'Something went wrong. Try again after page refresh.',
						      'warning'
						   );
						}
						btn.find('.fa').removeClass('fa-spin fa-spinner').prop('disabled',false);
						
						sortable('#batchTbody', 'destroy');
	  					$('.reorderCancelBtn').hide();
						$('.reorderUpdateBtn').hide();
						$('.reorderBtn').show();
					}
				});
			});
			
		});
	</script>
@endsection