@extends('layouts.empty')

@section('content')
<style>
	@media print {
	
		.printBtnDiv {
			display:none;	
		}
	}
</style>
<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>
<div class="container pt-4 pb-4">
	<div class="printBtnDiv mb-3">
		<button class="btn btn-sm float-right btn-success printBtn" onclick="window.print();" type="button">
			<i class="fa fa-print"></i>
			Print
		</button>
		<h4>Printing Delivery Note</h4>
	</div>
	<div class="row">
        <div class="col-12 card border pb-2">
            <div class="card-body clearfix">
                <!-- Logo & title -->
                <div class="row clearfix">
                    <div class="col-5">
                        <h3>Oja Pvt. Ltd</h3>
                            <p class="text-muted">
                                <i class="mdi mdi-map mr-1"></i> Mohali , Punjab, India 
                                PIN : 160059<br>
                                <i class="mdi mdi-phone mr-1"></i> +91-123456789 , Mobile: +91-987654321
                            </p>
                    </div>
                    <div class="col-7">
                        <div class="float-right">
                         <img src="{{asset('images/logo-oja.png')}}" alt="" width="200">
                         </div>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-sm-6">
                        <h5>Billing Address</h5>
                        <address>
                            <?php echo $order->delivery_address->name; ?><br>
                            <?php echo $order->delivery_address->address1; ?><br>
                             <?php echo $order->delivery_address->city; ?>,
                              <?php echo $order->delivery_address->state; ?> 
                               <?php echo $order->delivery_address->zip; ?><br>
                               <?php echo $order->delivery_address->country; ?><br>
                            <abbr title="Phone">Phone:</abbr>  <?php echo $order->delivery_address->phone; ?><br>
                            <abbr title="Email">Email:</abbr>  <?php echo $order->user->email; ?>
                        </address>
                    </div> <!-- end col -->

                    <div class="col-sm-6  text-right">                                        
                        <div class="mt-3">
                        	<h5>Sold By : <?= $order->order_products[0]->user->name ?></h5>
                        	<h5>Delivery Note</h5>
                            <p class="m-b-10"><strong>Order Id : </strong> <span class="float-right"> <?php echo $order->order_number; ?></span></p>
                            <p class="m-b-10"><strong>Order Date. : </strong> <span class="float-right"> 
                            	<?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?>	
                            </span></p>
                        </div>
                    </div><!-- end col -->
                    </div> <!-- end col -->
                </div> 
                <!-- end row -->

                <div class="row">
                    <div class="col-12">
                        <div class="table-responsive" style="min-height:200px;">
                            <table class="table mt-4 table-centered">
                                <thead>
                                <tr class="table-info"><th>#</th>
                                    <th>Item</th>
                                     <th></th>
                                    <th style="width: 10%">Quantity</th>
                                </tr></thead>
                                <tbody style="min-height:200px;">
                                <?php $sr=1; foreach($order->order_products as $product): ?>
                                	<?php //if($product->status!="Delivered" || $product->status!="Shipped"){continue;} ?>
                                <tr>
                                    <td><?php echo $sr++; ?></td>
                                    <td><?php echo $product->product_data->product->name; ?></td>
                                    <td></td>
                                    <td><?php echo $product->quantity; ?></td>
                                </tr>
                                <?php  endforeach; ?>
                                

                                </tbody>
                            </table>
                        </div> <!-- end table-responsive -->
                    </div> <!-- end col -->
                </div>
                <!-- end row -->

                <div class="row">
                    <div class="col-sm-6">
                        <div class="clearfix pt-5">
                            <h6 class="text-muted">Notes:</h6>

                            <small class="text-muted">
                               Notes Added Here.
                            </small>
                        </div>
                    </div> <!-- end col -->
                   
                </div>
                <!-- end row -->        
            </div> <!-- end card-box -->
        </div> <!-- end col -->
    </div>
</div>
@endsection