@extends('layouts.seller-app')

@section('content')
<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>
<div class="content-page">
	<div class="content">
<div class="container-fluid">
  <!-- start page title -->
    <div class="row mt-2">
        <div class="col-3">
            <div class="page-title-box">
               
                <h4>Order Details</h4>
                <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{route('dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item"><a href="{{route('orders.index')}}">Orders</a></li>
                        <li class="breadcrumb-item active">Order Details</li>
                    </ol>
            </div>
        </div>
        <div class="col-9">
                <div class="text-md-right mt-1">
                    <a role="button" class="btn btn-danger deliveryNote waves-effect waves-light mb-2 mr-2" href="{{route('printDeliveryNote',$order->id)}}" target="_blank"><i class="mdi mdi-basket mr-1"></i> Delivery Note</a>
                    <a role="button" class="btn btn-success invoice waves-effect waves-light mb-2 mr-2" href="{{route('printInvoice',$order->id)}}" target="_blank"><i class="mdi mdi-basket mr-1"></i> Invoice </a>
                </div>
        </div>
    </div>     
    <!-- end page title -->   
    <!-- end page title --> 
    <div class="row">
        <div class="col-12 col-sm-4 col-md-4"> 
            <div class="card"> 
                <div class="card-header bg-dark ">
                    <div class="row">
                         <div class="col-12">
                           <p class="text-white mb-0">Order Detail <i class=" mdi mdi-cart float-right"></i> </p>
                        </div>                                            
                    </div>
                </div>
                <div class="card-body">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                        	<b><i class=" mdi mdi-calendar-clock"></i> Order Date: </b>
                        	<?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?>
                        </li>
                        <li class="list-group-item">
                        	<b><i class=" mdi mdi-cart"></i> Order ID: </b>
                        	<?php echo $order->order_number; ?>
                        </li>
                        <li class="list-group-item">
                        	<b><i class="  mdi mdi-credit-card"></i> Payment Mode:  </b>
                        	<?php echo $order->payment_type; ?>
                        </li> 
                        <li class="list-group-item">
                        	<b><i class="  mdi mdi-currency-inr"></i> Payment Status: </b>
                        	<?php echo $order->payment_status; ?>
                        </li>
                        <li class="list-group-item">
                        	<b class=""><i class="mdi mdi-account"></i> Order By: </b>
                        	<?php echo $order->user->name; ?>
                        	<?php echo $order->user->phone!=""?", ".$order->user->country_code."-".$order->user->phone:""; ?>
                        	<?php echo $order->user->email!=""?", ".$order->user->email:""; ?>
                        </li>
                                                                    
                    </ul>
                </div>    
            </div>
        </div>
        
        <div class="col-12 col-sm-4 col-md-4"> 
            <div class="card"> 
                 <div class="card-header bg-dark ">
                    <div class="row">
                         <div class="col-12">
                           <p class="text-white mb-0">Shipping Address <i class=" mdi mdi-tooltip-account float-right "></i> </p>
                        </div>                                            
                    </div>
                </div> 

                <div class="card-body">
                     <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                      	<b><i class="  mdi mdi-account-outline"></i> Name: </b>
                      	<?php echo $order->delivery_address->name; ?>
                      </li>
                        <li class="list-group-item">
                        	<b>
	                        	<i class=" mdi mdi-clipboard-account-outline"></i> 
	                        	Address:
	                        </b>
                        	<?php echo $order->delivery_address->address1; ?>, 
                        	<?php echo $order->delivery_address->city; ?>, 
                        	<?php echo $order->delivery_address->state; ?>,
                        	<?php echo $order->delivery_address->zip; ?>  
						</li>
                        <li class="list-group-item">
                        	<b><i class=" mdi mdi-phone"></i> Phone:</b>
                        	<?php echo $order->delivery_address->phone; ?>
                        </li>  

                          <li class="list-group-item">
                          	<b><i class=" mdi mdi-calendar-clock"></i> Expected Delivery: </b>
                          	20/11/2019
                          </li> 
                    </ul>
                </div>    
            </div>
        </div>
        <div class="col-12 col-sm-4 col-md-4"> 
            <div class="card"> 
                 <div class="card-header bg-dark ">
                    <div class="row">
                         <div class="col-12">
                           <p class="text-white mb-0"> Order Summary <i class=" mdi mdi-file-document float-right"></i></p>
                        </div>                                            
                    </div>
                </div> 
				<table class="table table-bordered mb-0">
					<tbody>
						<tr>
							<td>
								<b>Bag Amount</b>
							</td>
							<td>
								<i class=" mdi mdi-currency-inr"></i>
								<?php echo $order->bag_amount; ?>
							</td>
						</tr>
						<tr>
							<td>
								<b>Tax</b>
							</td>
							<td>
								<i class=" mdi mdi-currency-inr"></i>
								<?php echo $order->tax; ?>
							</td>
						</tr>
						<tr>
							<td>
								<b>Coupon Discount</b>
							</td>
							<td>
								<i class=" mdi mdi-currency-inr"></i>
								<?php echo $order->coupon_discount; ?>
							</td>
						</tr>
						<tr>
							<td>
								<b>Delivery Charges</b>
							</td>
							<td>
								<i class=" mdi mdi-currency-inr"></i>
								<?php echo $order->delivery_charges; ?>
							</td>
						</tr>
						<tr>
							<td>
								<b>Grand Total</b>
							</td>
							<td>
								<i class=" mdi mdi-currency-inr"></i>
								<?php echo $order->total_amount; ?>
							</td>
						</tr>
					</tbody>
				</table>  
            </div>
        </div>
         <div class="col-12 col-sm-8 col-md-8"> 

       
            <div class="card"> 
                 <div class="card-header bg-dark ">
                    <div class="row">
                         <div class="col-12">
                           <p class="text-white mb-0"><i class=" mdi mdi-toolbox"></i>Order Products</p>
                        </div>                                            
                    </div>
                </div> 
                <div class="card-body">
                	<div class="row">
                    	<?php $i=0; foreach($order->order_products as $k=>$product): ?>
                    	<div class="col-6 col-sm-6 col-md-6">
                    		<div class="card border">
                    			<span class="orderStatusBadge">
                    				<span class="badge badge-blue badge-pill font-13">
                    					<?php echo $humanOrderStatuses[$product->status]; ?>
                    				</span>
                    			</span>
                                <div class="card-body">
                                    <h5 class="card-title"><?php echo $product->product_data->product->name; ?></h5>
                                </div>
                                <img class="card-img-top img-fluid" style="object-fit:cover;height:300px;"  src="<?php echo $product->product_data->images[0]->name; ?>" alt="Card image cap">
                                <div class="card-body">
                                	<p class="card-text">
                                    	<?php echo substr(strip_tags($product->product_data->product->short_description),0,100); ?>...
                                    </p>
                                </div>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item">
                                    	<div class="row">
                                    		<div class="col-3">
                                    			<b>Price</b> <br>
                                    			<?php echo $product->unit_price; ?>
                                    		</div>
                                    		<div class="col-3">
                                    			<b>Quantity</b> <br>
                                    			<?php echo $product->quantity; ?>
                                    		</div>
                                    		<div class="col-3">
                                    			<b>Tax</b> <br>
                                    			<?php echo $product->tax; ?>
                                    		</div>
                                    		<div class="col-3">
                                    			<b>Total</b> <br>
                                    			<?php echo $product->total_amount; ?>
                                    		</div>
                                    	</div>
                                    </li>
                                    <li class="list-group-item">
                                    	<b>Shipping Details:</b>
                                    	<?php if($product->status=='Shipped' || $product->status=='Delivered'): ?>
                                    		<?php echo $product->shipping_agency; ?>, 
                                    		<b>AWB: </b> <?php echo $product->awb; ?>, 
                                    	<?php endif; ?>
                                    </li>
                                    <li class="list-group-item">
                                    	<b>Delivery Details:</b>
                                    	<?php if($product->status=='Delivered'): ?>
                                    		Received by
                                    		<?php echo $product->received_by; ?>
                                    		on 
                                    		<?php echo date('d-M-Y h:i A',strtotime($product->status_date)); ?>
                                    	<?php endif; ?>
                                    </li>
                                   
                                    <li class="list-group-item">
                                    	<?php if($product->status!='Delivered'): ?>
                                    	<button class="btn btn-sm btn-blue updateOrderStatusBtn" data-order-product-id="<?php echo $product->id; ?>" data-url="{{route('getOrderStatusForm')}}" type="button">
                                    		<i class="mdi mdi-update"></i>
                                    		Update Status
                                    	</button>
                                    	<?php endif; ?>
                                    	<button class="btn btn-sm btn-secondary float-right showStatusHistory" data-order-product-id="<?php echo $product->id; ?>" data-url="{{route('getOrderStatusHistory')}}" type="button">
                                    		<i class="mdi mdi-history"></i>
                                    		Status History
                                    	</button>
                                    	
                                    </li>
                                    
                                </ul>
                                <!--
                                <div class="card-body pl-1">
                                	
                                	
                                    <a href="javascript:void(0);" class="card-link text-custom">Card link</a>
                                    <a href="javascript:void(0);" class="card-link text-custom">Another link</a>
                                    
                                </div>
                               -->
                            </div>
                    	</div>
                    	<?php $i++; if($i%2==0): ?>
                    		<div class="clearfix"></div>
                    	<?php endif; ?>
                    	<?php endforeach; ?>
                    </div>
                	
                </div>    
            </div>
        </div>

       
       <!-- CHAT -->
        <div class="col-xl-4">
            <div class="card">
                 <div class="card-header bg-dark ">
                    <div class="row">
                         <div class="col-12">
                           <p class="text-white mb-0"><i class=" mdi mdi-tooltip-account "></i> Notify Customer</p>
                        </div>                                            
                    </div>
                </div> 

                <div class="card-body chat-conversation">
                    <ul class="conversation-list slimscroll" style="max-height: 350px;">
                     
                        <li class="clearfix odd">
                            <div class="chat-avatar">                                                   
                                <i>10:01</i>
                            </div>
                            <div class="conversation-text">
                                <div class="ctext-wrap">                                                       
                                        Hi, How are you? What about our next meeting?
                               
                                </div>
                            </div>
                        </li>
                        <li class="clearfix odd">
                            <div class="chat-avatar">                                                  
                                <i>10:02</i>
                            </div>
                            <div class="conversation-text">
                                <div class="ctext-wrap">
                                        Wow that's great
                                </div>
                            </div>
                        </li>
                    </ul>
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control chat-input" placeholder="Enter your text">
                        </div>
                        <div class="col-auto">
                            <button type="submit" class="btn btn-danger chat-send btn-block waves-effect waves-light">Send</button>
                        </div>
                    </div>

                </div> <!-- end .chat-conversation-->
            </div> <!-- end col -->
        </div> <!-- end col-->

    </div>
</div>
    
</div>	
</div>
    
</div>	
<script>
	$(function(){
		var modalLoading = `<p align="center"><strong>Loading</strong></p>
					        <div class="d-flex justify-content-center">
					        	<div class="spinner-grow text-blue" role="status"></div>
						    </div>`;
		$(document).on('click','.updateOrderStatusBtn',function(){
			var opid = $(this).data('order-product-id');
			var url = $(this).data('url');
			
			$('#statusModal').modal('show');
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),opid:opid},
	           beforeSend:function(){
	           	 $('.statusBody').html(modalLoading);
	           },
	           success:function(data) {
	           		if(data!=0){
	           			$('.statusBody').html(data);
		           		$('.statusBody').find(".datetimePicker").flatpickr({
							enableTime : !0,
							dateFormat : "d-M-Y H:i"
						});
	           		} else {
	           			$('.statusBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
	           		}
	           		
	           }
	        });
			
			
		});
		
		$(document).on('click','.showStatusHistory',function(){
			var opid = $(this).data('order-product-id');
			var url = $(this).data('url');
			
			$('#statusHistoryModal').modal('show');
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),opid:opid},
	           beforeSend:function(){
	           	 $('.statusHistoryBody').html(modalLoading);
	           },
	           success:function(data) {
	           		if(data!=0){
	           			$('.statusHistoryBody').html(data);
		           		
	           		} else {
	           			$('.statusHistoryBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
	           		}
	           		
	           }
	        });
			
			
		});
		
		$('#statusModal').on('hidden.bs.modal', function (e) {
		  $('.statusBody').html(modalLoading);
		});
		
		$('#statusHistoryModal').on('hidden.bs.modal', function (e) {
		  $('.statusHistoryBody').html(modalLoading);
		});
		
		$(document).on('change','.statusSelectBox',function(){
			var thisStatus = $(this).val();
			var deliveredDiv = $('#deliveredDiv');
			var shippedDiv = $('#shippedDiv');
			
			if(thisStatus=='Delivered'){
				deliveredDiv.show().find('.form-control').prop('disabled',false);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			} else if(thisStatus=='Shipped') {
				shippedDiv.show().find('.form-control').prop('disabled',false);
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
			} else {
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			}
		});
		
		
		
		
		
	});
</script>
<!--Status Update Modals-->
<div class="modal fade"  tabindex="-1" role="dialog" id="statusModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Update Order Status</h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body statusBody">
      	
      </div>
      
    </div>
  </div>
</div>

<div class="modal fade"  tabindex="-1" role="dialog" id="statusHistoryModal">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Order Status History</h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body statusHistoryBody">
      	
      </div>
      
    </div>
  </div>
</div>

@endsection