@extends('layouts.app')

@section('content')

	<div class="content-page">
		<div class="content">
			<!-- Start Content-->
			<div class="container-fluid">
				<!-- start page title -->
				<div class="row mt-3 mb-3">
					<div class="col-8 col-sm-8 col-md-8 col-lg-8">
						<div class="page-title-box">
							<h4>Products</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="{{route('dashboard')}}">Dashboard</a>
								</li>
								<!-- <li class="breadcrumb-item">
									<a href="{{route('sellersList')}}">Seller List</a>
								</li> -->
								<li class="breadcrumb-item active">
									Products
								</li>
							</ol>
						</div>
					</div>
					<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
						
					</div>
				</div>
				<!-- end page title -->
				<div class="mb-1" style="overflow:visible;">
				<span class="float-right">
					<a href="{{route('stock.create')}}" class="btn btn-info btn-sm" role="button">
						<i class="fa fa-plus mr-1"></i>
						Add Product Stock
					</a>
				</span>
				<form class="form-inline" action="{{route('batches.index')}}">
					@csrf
					@method('get')
					<div class="input-group">
					  <div class="input-group-prepend">
					  	<select class="form-control" name="search_type" id="example-select">
							<option <?= (request()->search_type == "name") ? 'selected' : ''?> value="name">Product Name</option>
							<option <?= (request()->search_type == "sku") ? 'selected' : ''?> value="sku">Product SKU</option>
							<!-- <option <?= (request()->search_type == "batch") ? 'selected' : ''?> value="batch">Batch</option> -->
						</select>
					  </div>
					  <input type="text" class="form-control" name="stext" value="{{request()->stext}}" placeholder="Search Keyword" aria-label="Recipient's username" aria-describedby="button-addon2">
					  <div class="input-group-append">
					    <button class="btn btn-secondary" type="submit" id="button-addon2">Search</button>
						<a href="{{route('batches.index')}}" class="btn btn-info btn-rounded waves-effect waves-light float-right">
							Clear
						</a>
					  </div>
					</div>
				</form>
			</div>
			
				<?php /* 
				<div class="row">
					<div class="col-sm-12">
						
						<div class="car">
							<div class="card-bod">
								<!-- <div class="row">
									<div class="col-sm-4">
										<div class="page-title-box">
											<p class="page-title">
												<i class="mdi mdi-format-list-bulleted"></i>Stock
											</p>
										</div>
									</div>
									
								</div> -->
	
								<div class="row">
									<div class="col-12">
										<div class="table-responsive">
											
											<table class="table mb-0 table-bordered ">
												<thead class="thead-dark">
													<tr> 
														<th width="50">SKU</th>													
														<th>Product Name</th>
														<th>Quantity</th>
														<th class="">Balance Quantity</th>
														<th>Seller Price <i class="fa fa-info-circle ml-1" data-toggle="tooltip" title="Price from Current Active Stock Batch"></i> </th>
														<th>Margin ercentage</th>
														<th>Enabled</th>
														<th class="text-right">Action</th>
													</tr>
												</thead>
												<tbody>
													
													<?php foreach($data as $product): ?>
														
														<tr>
															<td width="50">															
																{{$product->barcode}}
															</td>
															<td width="50">

																{{$product->name}}
															</td>
															<td class="">
																
																@if(isset($product->quantity)) {{$product->quantity}} @else {{'-'}} @endif
															</td>															
															<td class="">
																@if(isset($product->balanceQuantity)) {{$product->balanceQuantity}} @else {{'-'}} @endif															
															</td>
															
															<td class="">
																@if(isset($product->sellerPrice)) {{$product->sellerPrice}} @else {{'-'}} @endif																
															</td>

															<td class="">
																@if(isset($product->marginPercentage)) {{$product->marginPercentage}} @else {{'-'}} @endif
															</td>
															
															<td>
																
																<span class="badge bg-warning shadow-none">@if(isset($product->disabled)) {{$product->disabled}} @else {{'No'}} @endif</span>
															</td>
															<td>
	                                							
																<button class="btn btn-blue waves-effect waves-light updateBatchBtn" data-url="{{route('getEditStock',12)}}" type="button">

						                                		<i class="mdi mdi-pencil"></i>
						                                	</button>
			                                					</button>
			                                				</td>
														</tr>
													<?php endforeach; ?>
													
												</tbody>
											</table>
										</div>
																				
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				*/ ?>
			</div>
	
		</div>
		<!-- container -->
	
	</div>

<!--Status Update Modals-->
<div class="modal fade "  tabindex="-1" role="dialog" id="batchModal">
  <div class="modal-dialog modal-lg modal-ku" role="document">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Update Stock</h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body statusBody">
      	
      </div>
    </div>
  </div>
</div>
	<!-- content -->
<script>
var modalLoading = `<p align="center"><strong>Loading</strong></p>
					        <div class="d-flex justify-content-center">
					        	<div class="spinner-grow text-blue" role="status"></div>
						    </div>`;
						    
$(document).on('click','.updateBatchBtn',function(){
	var url = $(this).data('url');
	
	$('#batchModal').modal('show');
	
	$.ajax({
       type:'GET',
       url:url,
       data:{_token:$('meta[name="csrf-token"]').attr('content')},
       beforeSend:function(){
       	 $('.statusBody').html(modalLoading);
       },
       success:function(data) {
       		if(data!=0){
       			$('.statusBody').html(data);
           		
       		} else {
       			$('.statusBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
       		}
       		
       }
    });
})

$('#batchModal').on('hidden.bs.modal', function (e) {
  $('.statusBody').html(modalLoading);
});

</script>
@endsection