@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Time Slot</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
							  Time Slot List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">

										<p class="page-title pt-3" style="line-height: 0">
											<i class=" mdi mdi-account-outline"></i> Time Slot List
										</p>
									</div>
								</div>
								<div class="col-4 text-right pt-1 pb-3">

									<a href="{{route('addTimeSlot')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-user-plus"></i> Create New Time Slot
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Time</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($timeSlots)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($timeSlots as $timeSlot)
										<tr>
											<?php if($timeSlot->is_any_time == 'Yes'){ ?>
												<td>Any Time</td>
											<?php }else {?>
												<td>{{ $timeSlot->start_time . " - " . $timeSlot->end_time}}</td>
											<?php }?>
											<td>{{ $timeSlot->enabled }}</td>
											<td style="width:120px;">
												<a href="{{route('editTimeSlot',$timeSlot->id)}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit User">
													<i class="fa fa-edit"></i>
												</a>
												<form style="display:inline-block;" class="deleteUserForm" action="{{route('deleteTimeSlot')}}" method="post">
												@csrf
												@method('DELETE')
    												<input type="hidden" name="id" value="{{ $timeSlot->id }}">
    												<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Time Slot">
    													<i class="fa fa-trash"></i>
    												</button>
												</form>
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
							{{$timeSlots->links()}}

						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

<!-- 				<div class="col-3"> -->
<!-- 					<div class="card"> -->
<!-- 						<div class="card-body"> -->
<!-- 							<div class="row"> -->
<!-- 								<div class="col-8"> -->
<!-- 									<div class="page-title-box"> -->
										<p class="page-title pt-3" style="line-height: 0">
<!-- 											<i class="mdi mdi-filter"></i> Filter -->
<!-- 										</p> -->
<!-- 									</div> -->
<!-- 								</div> -->
<!-- 							</div> -->

<!-- 							<div class="row mt-4"> -->
								
<!-- 									<div class="col-12"> -->
<!-- 										<form class="" action="{{route('timeSlotsList')}}" method="get"> -->
<!-- 										@csrf -->
<!-- 										<div class="form-group mb-3"> -->
<!-- 											<label for="example-select">Filter By</label> -->
<!-- 											<select class="form-control" name="ftype" required> -->
<!-- 												<option value=""></option> -->
<!-- 												<option  value="start_time">Start Time</option> -->
<!-- 												<option  value="end_time">End Time</option> -->
<!-- 												<option  value="price">Price</option> -->
													<?php //echo $ftype=='start_time'?'selected':''; ?>
<!-- 											</select> -->
<!-- 										</div> -->
	
<!-- 										<div class="form-group mb-3"> -->
<!-- 											<label for="example-select">Filter value</label> -->
<!-- 											<input type="text" name="stext" value="{{$stext}}" class="form-control" required> -->
<!-- 										</div> -->
										
	
<!-- 										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light"> -->
<!-- 											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply -->
<!-- 										</button> -->
<!-- 										</form> -->
<!-- 										<a href="{{route('timeSlotsList')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right"> -->
<!-- 											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear -->
<!-- 										</a> -->
<!-- 									</div> -->
								
<!-- 							</div> -->
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 				</div> -->

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection