@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Users</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{route('adminUsersList')}}">Admin Users</a>
							</li>
							<li class="breadcrumb-item active">
								User Profile
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			
			<div class="row">

				<div class="col-4 offset-4">
					<div class="card-box text-center border">
						<span style="position:absolute;right:10px;top:0px;">
							<a href="{{route('editAdminUser',$user->id)}}" class="btn btn-info btn-sm waves-effect waves-light" data-toggle="tootip" title="Edit User">
								<i class="fa fa-edit"></i>
								Edit
							</a>
						</span>
						@if (empty($user->photo))
							<img src="{{ asset('images/users/user-3.jpg')}}" class="rounded-circle img-thumbnail" alt="profile-image">
						@else
							<img src="{{ $user->photo }}" class="rounded-circle img-thumbnail" alt="profile-image" style="max-width:150px;">
						@endif
						<h4 class="mb-0">{{ $user->name }}</h4>

						<div class="text-left mt-3">

							<p class="text-muted mb-2 font-13">
								<strong>Display Name :</strong><span class="ml-2">{{ $user->name }}</span>
							</p>

							<p class="text-muted mb-2 font-13">
								<strong>Phone :</strong><span class="ml-2">{{ $user->country_code }} {{ $user->phone }}</span>
							</p>

							<p class="text-muted mb-2 font-13">
								<strong>Email :</strong>
								<span class="ml-2 "> 
									<a class="text-muted" href="mailto:{{ $user->email }}">{{ $user->email }}</a> 
								</span>
							</p>

							<p class="text-danger mb-1 font-13">
								<strong>Role :</strong><span class="ml-2"> {{ $user->role }}</span>
							</p>
						</div>
					</div>
					
					<!-- end card-box -->

				</div>
				<!-- end col-->

				
			</div>

		</div>

		@endsection
