@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Users</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								Users
							</li>
							<li class="breadcrumb-item active">
								User Type Permissions
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							
							<div class="row">
								<div class="col-4">
									<div class="input-group mb-3">
										<select class="form-control userRoleSelectBox">
											<option value="">-- Choose --</option>
											<option <?php echo $role=='Admin'?'selected':''; ?> value="Admin">Admin</option>
											<option <?php echo $role=='Uploader'?'selected':''; ?> value="Uploader">Uploader</option>
											<option <?php echo $role=='Seller'?'selected':''; ?> value="Seller">Seller</option>
										</select>
										<div class="input-group-append">
											<button class="btn btn-secondary fetchPermissions" type="button" id="button-addon2">
												<i class="fa fa-search"></i>
												Get Permissions
											</button>
										</div>
									</div>
								</div>
								<div class="col-12">
									<div class="row">
										<?php if(empty($routes)): ?>
											<div class="col-6">
												<div class="alert alert-info">
													<i class="fa fa-info-circle"></i>
													Choose User Role to display the permissions...
												</div>
											</div>
										<?php else: ?>
											<form class="col-12" action="{{route('rolePermissions',$role)}}" method="post">
												@csrf
											<div class="row">
											<?php foreach($routes as $k=>$route): ?>
												<div class="col-3">
													<div class="p-2 bg-light mb-2">
														<?php if(empty($permissions[$route])): ?>
															<span class='float-right'>
																<div class="custom-control custom-switch mr-2" style="display:inline-block;">
																  <input type="checkbox" class="custom-control-input" name="route[{{$route}}][read]" id="customSwitch{{$k}}">
																  <label class="custom-control-label" for="customSwitch{{$k}}">Read</label>
																</div>
																<div class="custom-control custom-switch" style="display:inline-block;">
																  <input type="checkbox" class="custom-control-input" name="route[{{$route}}][write]" id="customSwitch{{$k}}{{$k}}">
																  <label class="custom-control-label" for="customSwitch{{$k}}{{$k}}">Write</label>
																</div>
															</span>
														<?php else: ?>
															<input type="hidden" name="route[{{$route}}][id]" value="{{$permissions[$route]['id']}}">
															<span class='float-right'>
																<div class="custom-control custom-switch mr-2" style="display:inline-block;">
																  <input type="checkbox" class="custom-control-input" <?php echo $permissions[$route]['permission']==1?'checked':''; ?> name="route[{{$route}}][read]" id="customSwitch{{$k}}">
																  <label class="custom-control-label" for="customSwitch{{$k}}">Read</label>
																</div>
																<div class="custom-control custom-switch" style="display:inline-block;">
																  <input type="checkbox" class="custom-control-input" <?php echo $permissions[$route]['permission']==2?'checked':''; ?> name="route[{{$route}}][write]" id="customSwitch{{$k}}{{$k}}">
																  <label class="custom-control-label" for="customSwitch{{$k}}{{$k}}">Write</label>
																</div>
															</span>
														<?php endif; ?>
														
														<label class="control-label text-primary" for="">
															{{$route}}
														</label>
														
													</div>
												</div>
											<?php endforeach; ?>	
											</div>
											<div class="col-12">
												<div class="mt-4">
													<button class="btn btn-success" type='submit'>
														<i class="fa fa-check"></i>
														Save Now
													</button>
												</div>
											</div>
											</form>
										<?php endif; ?>
									</div>
									
								</div>
							</div>
							<pre>
								<?php 
									//print_r($routes);
									//print_r($permissions);
								?>
							</pre>							
							<script>
								$(function(){
									$(document).on('click','.fetchPermissions',function(){
										var userRole = $('.userRoleSelectBox').val();
										document.location.href="{{route('rolePermissions')}}/"+userRole;
									});
								});
							</script>
						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection