<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Users</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Profile
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			
			<div class="row">
				<div class="col-4 offset-4">
					<div class="card-box text-center border">
						<span style="position:absolute;left:12px;top:0px;">
							<a href="<?php echo e(route('editSellerAddress',$user->id)); ?>" class="btn btn-info btn-sm waves-effect waves-light" data-toggle="tootip" title="Edit Address">
								<i class="fa fa-edit"></i>
								Edit Address
							</a>
						</span>
						<span style="position:absolute;right:11px;top:0px;">
							<a href="<?php echo e(route('editSeller',$user->id)); ?>" class="btn btn-info btn-sm waves-effect waves-light" data-toggle="tootip" title="Edit User">
								<i class="fa fa-edit"></i>
								Edit Profile
							</a>
						</span>
						<?php if(empty($user->photo)): ?>
							<img src="<?php echo e(asset('images/users/user-3.jpg')); ?>" class="rounded-circle img-thumbnail" alt="profile-image">
						<?php else: ?>
							<img src="<?php echo e($user->photo); ?>" class="rounded-circle img-thumbnail" alt="profile-image" style="max-width:300px;">
						<?php endif; ?>
						<h4 class="mb-0"><?php echo e($user->name); ?></h4>

						<div class="text-left mt-3">
							<p class="text-muted mb-2 font-13">
								<strong>Display Name :</strong><span class="ml-2"><?php echo e($user->name); ?></span>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Phone :</strong><span class="ml-2"><?php echo e($user->country_code); ?> <?php echo e($user->phone); ?></span>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Email :</strong>
								<span class="ml-2 "> 
									<a class="text-muted" href="mailto:<?php echo e($user->email); ?>"><?php echo e($user->email); ?></a> 
								</span>
							</p>
							<p class="text-danger mb-1 font-13">
								<strong>Role :</strong><span class="ml-2"> <?php echo e($user->role); ?></span>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Delivery Addresses :</strong>
								<?php if(count($user->deliveryAddresses) > 0) {
								foreach ($user->deliveryAddresses as $address){?>
        							<span><?php echo e($address->Postcode); ?>,</span>
								<?php } } else {?>
									No Delivery Address Found
								<?php }?>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Cultures :</strong>
								<?php if(count($user->sellerCultures) > 0) {
								    foreach ($user->sellerCultures as $culture){?>
        							<span><?php echo e($culture->name); ?>,</span>
								<?php } } else {?>
									No Cultures Found
								<?php }?>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Timing :</strong>
								<?php if(count($user->addresses) > 0) {
								    $address = $user->addresses[0];?>
        							<span><?php echo e(date('h:i a', strtotime($address->open_time)) . " - " . date('h:i a', strtotime($address->close_time))); ?></span>
								<?php } else {?>
									No Timing Found
								<?php }?>
							</p>
							<?php $address = count($user->addresses) > 0 ? $user->addresses[0] : ""?>
							<p class="text-muted mb-2 font-13">
								<strong>Address :</strong>
								<?php if(!empty($address)) {?>
        							<span><?php echo e($address->address1 . " ,"); ?></span>
        							<span><?php echo e($address->city); ?></span>
								<?php } else {?> 
									No Address Found
								<?php }?>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Post Code :</strong>
								<?php if(!empty($address)) {?>
        							<span><?php echo e($address->zip); ?></span>
								<?php } else {?> 
									No Post Code Found
								<?php }?>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Country :</strong>
								<?php if(!empty($address)) {?>
        							<span><?php echo e($address->state . " , " .  $address->country); ?></span>
								<?php } else {?> 
									No Country Found
								<?php }?>
							</p>
						</div>
					</div>
					<!-- end card-box -->
				</div>
				<!-- end col-->
			</div>

		</div>

		<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.seller-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/seller/sellerProfile.blade.php ENDPATH**/ ?>