<?php $__env->startSection('content'); ?>
<style type="text/css">
	.page-title-box .page-title{
        color: #808080 !important;
    }
</style>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->
			<div class="row mt-2">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h3 class="page-title">Stock Batches</h3>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Stock Batches
							</li>
						</ol> 
					</div>
				</div>
			</div>
			<!-- end page title -->
			
			<div class="mb-1" style="overflow:visible;">
				<span class="float-right">
					<a href="<?php echo e(route('batches.create')); ?>" class="btn btn-info btn-sm" role="button">
						<i class="fa fa-plus mr-1"></i>
						Add Product Stock
					</a>
				</span>
				<form class="form-inline" action="<?php echo e(route('batches.index')); ?>">
					<?php echo csrf_field(); ?>
					<?php echo method_field('get'); ?>
					<div class="input-group">
					  <div class="input-group-prepend">
					  	<span class="input-group-text">
					  		<i class="fa fa-search mr-2"></i>
					  		Batch #
					  	</span>
					  </div>
					  <input type="text" class="form-control" name="stext" value="<?php echo e(request()->stext); ?>" placeholder="Batch Number" aria-label="Recipient's username" aria-describedby="button-addon2">
					  <div class="input-group-append">
					    <button class="btn btn-secondary" type="submit" id="button-addon2">Search</button>
					  </div>
					</div>
				</form>
			</div>
			
			<div class="table-responsive">
				<table class="table mb-0 table-bordered " >
					<thead class="thead-dark">
						<tr>
							<th>Batch No</th>
							<th>Product</th>
							<th>Manufacture Date</th>
							<th>Expiry Date</th>
							<th>Quantity</th>
							<th>Product MRP</th>
							<th>Margin Ratio (%)</th>
							<th>Base Rate</th>
							<th>Seller</th>
							<th>Enabled</th>
							<th class="text-right">Action</th>
						</tr>
					</thead>
					<tbody>
						<?php if(count($batches)==0): ?>
							<tr class="table-info">
								<td colspan='11' class="text-center">
									No Records Found
								</td>
							</tr>
						<?php endif; ?>
						<?php foreach($batches as $batch): 
						
						
						?>
							
							<tr>
								<td>
									<?php echo e($batch->batch_number); ?>

								</td>
								<td>
									<?php if(empty($batch->product)): ?>
										No Product Associated
									<?php else: ?>
										<?php echo e($batch->product->product->name); ?> <br>
										(<?php echo e($batch->product->sku); ?>)
									<?php endif; ?>
								
								</td>
								<td><?php echo e($batch->mfd_date); ?></td>
								<td><?php echo e($batch->expiry_date); ?></td>
								<td><?php echo e($batch->quantity); ?></td>
								<td ><?php echo e($batch->product_mrp); ?></td>
								<td><?php echo e($batch->margin_ratio); ?></td>
								<td><?php echo e($batch->base_rate); ?></td>
								<td><?php echo e($batch['users']->name); ?></td>
								<td>
									<?php echo e($batch->enabled); ?>

									<?php if($batch->enabled=='Yes'): ?>
										<?php $pplr = 'No'; ?>
									<?php else: ?> 
										<?php $pplr = 'Yes'; ?>
									<?php endif; ?>
									<form style="display:block;" action="<?php echo e(route('markBatchEnabled',[$batch->id,$pplr])); ?>" method="get">
										<?php echo csrf_field(); ?>
										<?php echo method_field('GET'); ?>
										<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to <?php echo e($pplr); ?>">
											<i class="fa fa-recycle"></i>
										</button>
									</form>
								</td>
								<td class="text-right">
									<a href="<?php echo e(route('batches.show',$batch->id)); ?>"> 
										<button type="button" class="btn btn-secondary waves-effect waves-light">
											<i class="mdi mdi-eye"></i>
										</button>
									</a>
									<!--
									<button type="button" class="btn btn-danger waves-effect waves-light">
										<i class="mdi mdi-delete"></i>
									</button>
									-->
								</td>
							</tr>
						<?php endforeach; ?>
					</tbody>
				</table>
			</div>
			<div class="pt-3 pagination-rounded justify-content-end">
				<?php echo e($batches->appends(request()->query())->links()); ?>

			</div>
		</div>

	</div>
	<!-- container -->
	
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.seller-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/batches/index.blade.php ENDPATH**/ ?>