<?php $__env->startSection('content'); ?>

<div class="content-page">
	<div class="content">
  
		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-2">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4 class="page-title">Add Product Stock</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('batches.index')); ?>">Stock Batches</a>
							</li>
							<li class="breadcrumb-item active">
								Add Product Stock
							</li>
						</ol>
					</div>
					
				</div>
				<div class="col-sm-4 text-right pt-3">
					<!--
					<a href="<?php echo e(route('batches.index')); ?>" class="btn btn-danger waves-effect waves-light">
						<i class="fa fa-list mr-1"></i> View All
					</a>
					-->
				</div>
			</div>
			<!-- end page title -->
			<div class="row">

				<div class="col-12">
					<form class="form-horizontal" action="<?php echo e(route('batches.store')); ?>" method="post" id="batchForm"  enctype="multipart/form-data">

						<?php echo csrf_field(); ?>
						<div class="productCards">
						</div>
							<?php
								$seller_id = 	Auth::user()->id
							?>
						<input type="hidden" name="seller_id" value="<?php echo e($seller_id); ?>">
						<div class="mt-2 mb-2 text-left">
							<button type="button" class="btn btn-sm btn-warning addProductBtn">
								<i class="fa fa-plus mr-1"></i>
								New Product Stock
							</button>
						</div>
						<div class="productCardSample">
							<div class="card shadow border productCard border border-info">
								<div class="card-header p-1">
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="">
													<span class="text-danger">*</span>
													Select Product
												</label>
												<select data-bv-notempty required class="form-control product_id prodField" name="product[0][product_id]" data-name="[product_id]">
													<option value="">-- Choose --</option>
													<?php foreach($products as $product): ?>
														<option value="<?php echo e($product->id); ?>"><?php echo e($product->name); ?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label for="" class="d-block">
													<span class="float-right">
														<button class="btn btn-xs btn-outline-danger remProductCard" type="button">
															<i class="fa fa-times mr-1"></i>
															Remove This Product
														</button>
													</span>
													<span class="text-danger">*</span>
													Select SKU
													<span class="skuLoader"></span>
												</label>
												<select data-bv-notempty required class="form-control sku_id prodField" name="product[0][sku_id]" data-name="[sku_id]">
													<option value="">-- Choose --</option>
												</select>
											</div>
										</div>
										
									</div>
								</div>
								<div class="card-body p-0">
									<table class="table table-stripped table-bordered batchTable mb-0">
										<thead>
											<tr class="text-primary">
												<th colspan="10">
													Stock Batch
												</th>
											</tr>
											
										</thead>
										<tbody class="batchTbody">
										</tbody>
										<tbody class="batchTbodySample">
											<tr>
												<td></td>
												<td>
													<div class="form-group mb-0">
														<input type="file" data-bv-notempty required class="form-control form-control-sm batchField" name="product[0][batch]" data-name="[batch_number]"  placeholder="Batch Number"><br>
														
													</div>
												</td>
												<td>
													<button class="btn btn-xs btn-outline-danger removeBatchBtn" type="button" >
														<i class="fa fa-times"></i>
													</button>
												</td>
											</tr>
											
										</tbody>
									</table>
									
								</div>
							</div>
						</div>
						<div class="mb-3 text-right">
							<button type="submit" class="btn btn-success waves-effect waves-light">
								<i class="mdi mdi-content-save"></i> Save Stock
							</button>
						</div>
						<!-- end card-->

					</form>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<!--for Autocomplete-->
<!--<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" crossorigin="anonymous"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" crossorigin="anonymous"></script>
<!-- Bootstrap 4 Autocomplete -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap-4-autocomplete/dist/bootstrap-4-autocomplete.min.js" crossorigin="anonymous"></script>
<!--Autocomplete Ends Here-->
<script>
	$(function() {
		
		var batchRow = $('.batchTbodySample').html();
		console.log(batchRow);
		$('.batchTbody').append(batchRow);
		$('.batchTbodySample').remove();
		var productCard = $('.productCardSample').html();
		console.log(productCard);
		$('.productCardSample').remove();
		$('.productCards').html(productCard);
		
		$('.product_id').select2();
		$('.sku_id').select2();
		
		$(document).on('click','.addProductBtn',function(){
			destroyValidation();
			$('.product_id').select2('destroy');
			$('.sku_id').select2('destroy');
			$('.productCards').append(productCard);
			$('[data-toggle="tooltip"]').tooltip();
			$('.productCards').find('.productCard:last-child').find(".datepicker").flatpickr({
				dateFormat : "Y-m-d"
			});
			updateFieldNames();
			$('.product_id').select2();
			$('.sku_id').select2();
			buildValidation();
		});
		

		$(document).on('click','.removeBatchBtn',function(){
			destroyValidation();
		
			$(this).parents('tr').remove();
			updateFieldNames();
			buildValidation();
		});
		$(document).on('click','.remProductCard',function(){
			destroyValidation();
			$(this).parents('.productCard').remove();
			updateFieldNames();
			buildValidation();
		});
		
		
		function updateFieldNames(){
			var i=0;
			$('.productCard').each(function(){
				$(this).find('.prodField').each(function(){
					$(this).prop('name','product['+i+']'+$(this).data('name'));
				});
				
				var j=0;
				$(this).find('.batchTbody > tr').each(function(){
					$(this).find('.batchField').each(function(){
						$(this).prop('name','product['+i+'][batch]');
					});
					j++;
				});
				i++;
			});
		}
		
		
		$('[name="invoice_no"]').autocomplete({
			source:<?php echo $invoices ?>,
			treshold:1,
			dropdownOptions:{
				display:'static'
			},
			
			onSelectItem:function(item,element){
				getInvoiceDetails(item.value);
			}
			
		});
		$('[name="invoice_no"]').on('blur',function(){
			//getInvoiceDetails($(this).val());
		});
		function getInvoiceDetails(invoiceId){
			if(invoiceId==""){
				$('[name="invoice_date"]').val("");
				$('[name="merchant_id"]').val("");
				
			} else {
				$.ajax({
					type:'POST',
					url:"<?php echo e(route('getInvoiceDetailsAjax')); ?>/"+invoiceId,
					data:{_token:$('[name="csrf-token"]').attr('content')},
					beforeSend:function(){
						
					},
					success:function(resp){
						if(resp!=0){
							console.log(resp);
							resp = JSON.parse(resp);
							$('[name="invoice_date"]').flatpickr({
								dateFormat : "Y-m-d",
								defaultDate: resp.invoice_date
							});
							//$('[name="invoice_date"]').val(resp.invoice_date);
							
							$('[name="merchant_id"]').val(resp.merchant_id);
						}
						
					}
				});
			}
			
			
		}
		
		$(document).on('change','.product_id',function(){
			productId = $(this).val();
			parent  = $(this).parents('.productCard');
			if(productId){
				$.ajax({
					type:'POST',
					url:"<?php echo e(route('getProductSkusAjax')); ?>/"+productId,
					data:{_token:$('[name="csrf-token"]').attr('content')},
					beforeSend:function(){
						parent.find('.skuLoader').html(`<i class="fa fa-spinner fa-spin text-danger"></i>`);
					},
					success:function(resp){
						
						parent.find('.sku_id').select2('destroy');
						parent.find('.sku_id').html(resp);
						parent.find('.sku_id').select2();
						parent.find('.skuLoader').html('');
					}
				});
			} else {
				parent.find('.sku_id').select2('destroy');
				parent.find('.sku_id').html(`<option value="">-- Choose --</option>`);
				parent.find('.sku_id').select2();
				parent.find('.skuLoader').html('');
			}
			
		});
		
		
		$(document).on('change','.otype',function(){
			if($(this).val()!='None'){
				$('.ovalue').prop('required',true);
				$('.osdate').prop('required',true);
			} else {
				$('.ovalue').prop('required',false);
				$('.osdate').prop('required',false);
			}
		});
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var parentRow = $(this).parents('tr');
			var mrp = parentRow.find('.brcal.mrp');
			var mratio = parentRow.find('.brcal.mratio');
			var baseRate = parentRow.find('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())+parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		//base price calculations ends
		
		
		function destroyValidation(){
			var bootstrapValidat = $('#batchForm').data('bootstrapValidator');
			
			if (bootstrapValidat != undefined)
			   { bootstrapValidat.destroy();}
		}
		
		
		buildValidation();
		
		//validation of the form
		function buildValidation(){
			$('#batchForm').bootstrapValidator();
		}
		
		
	});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.seller-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/batches/create.blade.php ENDPATH**/ ?>