<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>	

<style type="text/css">
    .content-page {
        background-color: #f1f1f1;
    }
    .text-red-dark{
        color: #c23e34 !important;
        margin-bottom: 0px;
    }
    .comn-header-title{
        color: #c23e34;
        font-weight: 700;
    }
    .page-title-box .page-title{
        color: #808080 !important;
    }
    .text-grey-dark{
        color: #808080;
    }
    .comn-single-item-box{
        text-align: center;
    }
    .item-img{
        width: 100%;
        height: 100px;
        object-fit: contain;
    }
    .content-page{
        height: 100% !important;
        overflow: scroll !important;
    }
    .right-order-box{
        text-align: right;
        position: relative;
        height: 100%;
    }
    .custom-dropdown-btn{
        background: #3f92c9 !important;
        border-radius: 30px !important;
        width: 160px !important;
        position: relative;
        height: 44px;
    }
    .custom-dropdown-btn::before {
        content: "";
        position: absolute;
        right: 8px;
        top: 18px;
        border-top: 10px solid #ffffff;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .dropdown-menu {
        padding: 0px !important;
    }
    .dropdown-item{
        background-color: #d9d9d9 !important;
        color: #3f92c9 !important;
        transition: 0.5s ease;
    }
    .dropdown-item:hover{
        background-color: #3f92c9 !important;
        color: #ffffff !important;
    }
    .more-detail-fixed-btn{
        position: absolute;
        width: 115px;
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
    }
    .filter-btn-box{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 10px 0px;
    }
    .comn-filter-btn{
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
        white-space: nowrap;
        margin-right: 10px;
        width: 200px;
    }
    .mb-5, .my-5 {
    margin-bottom: 2rem!important;
}
.filter-btn-box button{
    background:#c32e44 !important;
}

</style>
<?php $__env->startSection('content'); ?>

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row"> 
                <div class="col-12">
                    <div class="page-title-box">
                        <h3 class="page-title">Your Orders</h3>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12 col-md-12">
                    <div class="filter-btn-box">
                        <form>
                            <?php echo csrf_field(); ?>
                        <button  type="submit" name ="today_order" value='today' class="btn btn-danger" style="border-radius: 25px;">Orders for Today</button>
                        <button  type="submit" name ="Tomorrow_order" value='Tomorrow_order' class="btn btn-danger" style="border-radius: 25px;">Orders for Tomorrow</button>
                        <button  type="submit" name ="Week_order" value='Week_order' class="btn btn-danger" style="border-radius: 25px;">Order for This Week Detail</button>
                        <button  type="submit" name ="All_order" value='All_order' class="btn btn-danger" style="border-radius: 25px;">All orders</button>
                        </form>
                    </div>
                </div>
            </div>
            
            <!-- end row -->
            <div class="row">
                    <div class="col-sm-4">
                        <div class="page-title-box">
                            <p class="page-title">
                                <i class="mdi mdi-format-list-bulleted"></i> Products List
                            </p>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        
                    </div>
                    <div class="col-sm-4 text-right mt-3">
                                            
                        <div class="dropdown d-inline-block" id="filterDropdown" style="position: relative;">
                        <button class="btn btn-secondary dropdown-toggle mr-3" type="button" id="dropdownMenu2" data-toggle="modal" data-target="#exampleModal">
                            <i class="mdi mdi-filter"></i> Filter
                        </button>
                       
                        </div>
                    </div>
                    
            </div>
        
			<?php foreach ($orders as $k=>$order){    
               ?>
            <div class="row mb-5" style="margin-bottom: 0rem!important;">
                <div class="col-xl-12">
                    
                   

                    <div class="card-box">
                        <div class="d-flex justify-content-between align-items-center mt-3">
                            <h4 class="header-title text-grey-dark">DUE FOR DELIVERY : <span class="text-red-dark h4">&nbsp;&nbsp;<?= ($order->delivery_date) ?? ""?></span></h4>
                            <p class="text-muted mb-1 text-truncate"><?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?></p>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <h4 class="header-title text-grey-dark">PREPARE ORDER BY : <span class="text-red-dark h4">&nbsp;&nbsp; <?= ($order->slot_time) ?? ""?></span></h4>
                            <p class="text-muted mb-1 text-truncate"><?php echo $order->order_number; ?></p>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-8">
                                <div class="row">
                                    <?php $i=0; foreach($order->order_products as $k=>$product){ ?>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="<?php echo isset($product->product_data->images[0]) ? $product->product_data->images[0]->name : ""; ?>" class="item-img">
                                            <?php
                                                $productDetail = json_decode($product->product);
                                            ?>
                                            <p class="text-muted m-0 text-truncate"><?php $desc = isset($product->product_data->product) ? substr(strip_tags($product->product_data->product->name),0,145) : "";
                                                echo $desc; ?></p>
                                               <p class="text-muted m-0 text-truncate"> <?php echo e($productDetail->sku); ?></p>
                                            <p class="text-muted m-0 text-truncate"><?php $productDetail = json_decode($product->product);
                                                if(isset($productDetail->current_batch)){
                                                 echo $productDetail->current_batch->weight. " " . $productDetail->current_batch->weight_unit;
                                                }else{
                                                 echo "";
                                                 }?></p>
                                            <p class="text-muted m-0 text-truncate">Qty: <?php echo $product->quantity; ?></p>
                                        </div>
                                    </div>
                                <?php }?>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="right-order-box">
                                    <span class="badge badge-success"><?php echo e($order->status); ?></span>
                            	    <?php if($order->status == 'Pending'){ ?>        
                            		<div class="text-right"> 
                                        <a href="<?= route('markOrderStatus',[$order->id,1]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-1">Accept Order</a> <br>                                
                                        <a href="<?= route('markOrderStatus',[$order->id,0]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-2">Decline Order</a>
                               		</div>
                                	<?php }else if($order->status!='Delivered'): ?>
                               		<div class="text-right"> 
                                    	<button class="btn btn-rounded btn-danger more-red-btn updateOrderStatusBtn mt-1" data-order-product-id="<?php echo $order->id; ?>" data-url="<?php echo e(route('getOrderStatusForm')); ?>" type="button" style="background-color: #061fc4!important; border: #061fc4!important" >
                                    		<i class="mdi mdi-update"></i>
                                    		Update Status
                                    	</button>
                                	</div>
                        		    <?php endif; ?>          
                                    <a href="<?php echo e(route('orders.show',$order->id)); ?>" type="button" class="btn btn-rounded btn-danger more-detail-fixed-btn">More Detail</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end card-box-->
                </div>
                <!-- end col-->
            </div>
            <?php }?>
            <!-- end row-->
        </div>
        <!-- container -->
    </div>
    <!-- content -->
</div>
<script>
	$(function(){
		var modalLoading = `<p align="center"><strong>Loading</strong></p>
					        <div class="d-flex justify-content-center">
					        	<div class="spinner-grow text-blue" role="status"></div>
						    </div>`;
		$(document).on('click','.updateOrderStatusBtn',function(){
			var opid = $(this).data('order-product-id');
			var url = $(this).data('url');
			
			$('#statusModal').modal('show');
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),opid:opid},
	           beforeSend:function(){
	           	 $('.statusBody').html(modalLoading);
	           },
	           success:function(data) {
	           		if(data!=0){
	           			$('.statusBody').html(data);
		           		$('.statusBody').find(".datetimePicker").flatpickr({
							enableTime : !0,
							dateFormat : "d-M-Y H:i"
						});
	           		} else {
	           			$('.statusBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
	           		}
	           		
	           }
	        });
			
			
		});
		
		
		
		$('#statusModal').on('hidden.bs.modal', function (e) {
		  $('.statusBody').html(modalLoading);
		});
		
		
		$(document).on('change','.statusSelectBox',function(){
			var thisStatus = $(this).val();
			var deliveredDiv = $('#deliveredDiv');
			var shippedDiv = $('#shippedDiv');
			
			if(thisStatus=='Delivered'){
				deliveredDiv.show().find('.form-control').prop('disabled',false);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			} else if(thisStatus=='Shipped') {
				shippedDiv.show().find('.form-control').prop('disabled',false);
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
			} else {
				deliveredDiv.hide().find('.form-control').prop('disabled',true);
				shippedDiv.hide().find('.form-control').prop('disabled',true);
			}
		});
		
	});
</script>
<!--Status Update Modals-->
<div class="modal fade"  tabindex="-1" role="dialog" id="statusModal">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header bg-danger">
          <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Update Order Status</h5>
          <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body statusBody">
            
        </div>
        
      </div>
    </div>
  </div>
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        
        <div class="modal-body">
            
                <form method="get" class="px-2 py-2">
                    
                        <div class="form-group mb-3">
                            <label for="">Order Number</label>
                            <input type="text" name="order_number" value="<?php echo e(@$query['order_number']); ?>" class="form-control">
                        </div>
                        <div class="form-group mb-3">
                            <label for="">Customer Name</label>
                            <input type="text" name="user_name" value="<?php echo e(@$query['user_name']); ?>" class="form-control" >
                        </div>
                        <div class="form-group mb-3">
                            <label for="">Order Status</label>
                            <select class="form-control" name="order_status">
                                <option value=""></option>
                                <?php foreach($humanOrderStatuses as $val=>$dval): ?>
                                    <option value="<?php echo $val; ?>"><?php echo $dval; ?></option>
                                <?php endforeach; ?>
                                
                            </select>
                        </div>
                        
                        <div class="form-group mb-3">
                            <label for="">Ranges Date</label>
                            <input type="text" id="range-datepicker" value="<?php echo e(@$query['date_range']); ?>" name="date_range" class="form-control" placeholder="2018-10-03 to 2018-10-10">
                        </div>
                        <div class="form-group mb-3">
                            <label for="">Price Range</label>
                            <input type="text" name="price_range" value="<?php echo e(@$query['price_range']); ?>" id="price_range_picker">
                        </div>
                        <button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
                            <span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
                        </button> 
                        <a href="<?php echo e(route('orders.index')); ?>" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
                            <span class="btn-label"><i class="mdi mdi-refresh"></i></span>
                            Clear
                        </a>
                    </form>
                
        </div>
      </div>
    </div>
  </div>
  <script>
	$(function(){
		<?php
			if(empty($query['price_range'])){
				$from = $minPrice;
				$to = $maxPrice;
			} else {
				$from = explode(';',$query['price_range'])[0];
				$to = explode(';',$query['price_range'])[1];
			}
			
		?>
		$("#price_range_picker").ionRangeSlider({
			type : "double",
			grid : !0,
			min : <?php echo $minPrice; ?>,
			max : <?php echo $maxPrice; ?>,
			from : <?php echo $from; ?>,
			to : <?php echo $to; ?>,
			prefix : "<i class='mdi mdi-currency-inr'></i>",
			step : 20
		});
	});
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.seller-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/seller/orders/index.blade.php ENDPATH**/ ?>