<?php $__env->startSection('content'); ?>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Categories</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="<?php echo e(route('dashboard')); ?>">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Categories
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			<?php echo $__env->make('flash/flash', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row mb-1">
								<div class="col-5 col-sm-6 col-md-6 col-lg-6">
									<div class="page-title-box">
										<p class="page-title">
											<i class="mdi mdi-format-list-bulleted"></i> Category List
										</p>
									</div>
								</div>
								<div class="col-7 col-sm-6 col-md-6 col-lg-6 text-right mt-3">
									<form method="get" class="form-inline float-right">
										<div class="input-group">
										  <input type="search" name="search" value="<?php echo @$posted['search']; ?>" class="form-control" required placeholder="">
										  <div class="input-group-append">
										    <button class="btn btn-secondary" type="submit">
										    	<i class="mdi mdi-magnifier"></i>
										    	Search
										    </button>
										    <?php if(!empty($posted['search'])): ?>
											    <a href="<?php echo e(route('categories.index')); ?>" class="btn btn-outline-secondary waves-effect waves-light">
													<i class="mdi mdi-refresh"></i> Clear
												</a>
											<?php endif; ?>
										  </div>
										</div>
										<a href="<?php echo e(route('categories.create')); ?>" class="ml-3 btn btn-success waves-effect waves-light">
											<i class="mdi mdi-plus"></i> Add New
										</a>
									</form>
									

								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th>Category Image</th>
											<th>Category Name</th>
											<th>Parent </th>
											<th>Enabled</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($categories)==0): ?>
											<tr class="table-info">
												<td colspan='6' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										<?php $sr=1; foreach($categories as $category): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td>
													<img src="<?php echo e(empty($category->image)?asset('images/uncategorized.png'):$category->image); ?>" style="height:40px;">
												</td>
												<td>
													<?php echo $category->name; ?>
													<?php if($category->name=="Uncategorized"): ?>
														<span class="float-right">
															<i class="fa fa-info-circle text-info" data-toggle="tooltip" title="Default Category"></i>
														</span>
													<?php endif; ?>
												</td>
												<td>
													<?php echo empty($category->parent)?'&mdash;':$category->parent->name; ?>
												</td>
												<td>
													<?php echo $category->enabled; ?>
												</td>
												<td class="text-right">
													<?php if($category->name!="Uncategorized"): ?>
														<a href="<?php echo e(route('categories.edit',$category->id)); ?>">
															<button type="button" class="btn btn-secondary waves-effect waves-light">
																<i class="mdi mdi-pencil"></i>
															</button>
														</a>
														<form class="delForm" action="<?php echo e(route('categories.destroy',$category->id)); ?>" onsubmit="return confirm('Are you sure to delete?');" method="post" style="display:inline;">
															<?php echo csrf_field(); ?>
															<?php echo method_field('DELETE'); ?>
															<button type="submit" class="btn btn-danger waves-effect waves-light">
																<i class="mdi mdi-trash-can-outline"></i>
															</button>
														</form>
													<?php endif; ?>
												</td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
							
							<div class="pt-3 pagination-rounded justify-content-end">
								<?php echo e($categories->appends($posted)->links()); ?>

							</div>
							
							
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\oja\resources\views/categories/index.blade.php ENDPATH**/ ?>